<?php 
$layout ='';
$post_type  = get_post_type(get_the_ID());
if($post_type == 'infographics'){
	$layout = get_post_meta(get_the_ID(), 'info_layout', true);
	if(!$layout){
		$layout = 'side';
	}
	if($layout == 'side'){ ?>
	<div class="row"><div class="col-md-8">
	<?php }
}
 ?>

<div id="main" class="  clearfix" role="main">

    <?php if (have_posts()) : the_post(); ?>
        <?php setPostViews(get_the_ID()); ?>
        <article id="post-<?php the_ID(); ?>" <?php post_class(' single post-content clearfix'); ?> role="article" itemscope itemtype="http://schema.org/BlogPosting">
		<div class="c5-post-single">


            <?php
            $data = '';

            $permalink = get_permalink();
         

            $the_title = get_the_title();

            ob_start();
            the_author_posts_link();
            $the_author_posts_link = ob_get_contents();
            ob_end_clean();

            ob_start();
            the_title_attribute();
            $the_title_attribute = ob_get_contents();
            ob_end_clean();

            $user_ID = get_the_author_meta('ID');
			
			
			ob_start();
			the_excerpt_max_charlength(300);
			$the_excerpt_max_charlength = ob_get_contents();
			ob_end_clean();

            

            
            $meta_data = c5_get_parameter_for_post('meta_data',get_the_ID());
            if(!is_array($meta_data)){
            	$meta_data =array();
            }
            ?>

            <header class="entry-header">
                <?php 
                // Breadcrumb & Category
                if (in_array('categpory', $meta_data)) {
                      code125_breadcrumbs_article(); 
                }
                
                 ?>
                <h1 class="entry-title"><?php the_title(); ?></h1>
                <?php 
                
                $data = '';
                $data = $data . '<ul class="meta-entry-data clearfix">'; 
                
                // Date & Time
                $data = $data .  c5_get_time_date($meta_data,'li','', c5_get_parameter_for_post('c5_date_format', get_the_ID() )); 
                	//comment count
                $data = $data .  c5_get_comments_count($meta_data); 
                 //like count
                $data = $data .  c5_get_likes_count($meta_data);
                //view count
                $data = $data .  c5_get_view_count($meta_data); 
                //Social Share
                $data = $data . c5_get_total_share_count($meta_data);
                // review
                $data = $data . c5_get_review();
                
                
                $data = $data  .'</ul>';
                echo $data;
                  ?>
                 
				<?php 
				
				$ul_array_data = array(	'date', 'time' , 'comments_count' , 'like' , 'view' );
				$meta_data_diff_result = array_intersect($ul_array_data, $meta_data);
				$has_review = has_review(get_the_ID());
				$data  = '';
								
				
				$data = $data .'<div class="row"><div class="col-md-8">' .c5_get_social_bar($meta_data) . '</div></div>';    
				$featured_media_bool = false;
				if(in_array('media', $meta_data)){
					$featured_media_bool = true;
				}
				$featured_media = get_post_meta(get_the_ID(), 'featured_media', true);
				if($featured_media=='yes'){
					$featured_media_bool = true;
				}elseif($featured_media=='no') {
					$featured_media_bool = false;
				}            		
                 if ( !post_password_required() && $featured_media_bool) :
                    	$data =  $data . '<div class="entry-thumbnail">';
                       
                        $thumb_size = code125_generate_image_size_based_on_height(9999,  false);
                        $data =  $data . c5_get_post_formats($thumb_size);
                        
                    $data =  $data .  '</div>';
                 endif;
                 
				echo $data;
				
				?>
				<!--
                <div class="entry-meta">
                    <?php edit_post_link(__('Edit', 'code125'), '<span class="edit-link">', '</span>'); ?>
                </div>
                 -->
                <!-- .entry-meta -->
               
                
            </header><!-- .entry-header -->
            
                <div class="row">
                	<div class="col-sm-2">
                		<div class="c5-author-wrap-col">
                	<?php $author_photo  = c5_get_author_photo($meta_data);
                	if($author_photo!=''){
                		echo $author_photo;
                	}
                	
                	$data = '';
                	if(count($meta_data_diff_result)!=0 || $has_review){
                		
                		
                		
                		//Author name
                		$data .=  c5_get_author_link($meta_data, 'p');
                		
                		
                	}
                	echo $data;
                	 ?>
                	 </div>
                	</div>
                    <div class="entry-content col-sm-10">
                    	<?php 
                    	$article_before = c5_get_parameter_for_post('article_before', get_the_ID());
                    	if($article_before != ''){
                    		echo html_entity_decode (do_shortcode( html_entity_decode($article_before)) );
                    	}
                    	echo c5_get_author_post_box($meta_data);
                    	the_content(); 
                         
                        $article_after = c5_get_parameter_for_post('article_after', get_the_ID());
                        if($article_after != ''){
                        	echo html_entity_decode (do_shortcode( html_entity_decode($article_after)) );
                        }
                        
                       
                        
                         ?>
                        <?php wp_link_pages(array('before' => '<div class="page-links pagination"><span class="page-links-title">' . __('Pages:', 'code125') . '</span>', 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>')); ?>
                    </div><!-- .entry-content -->
				</div>
				</div>
                    <?php
                    $data = '';

                    if (!post_password_required()) {
                        ?>
                            <footer class="article-footer clearfix">
                                <?php
                                $data =  c5_get_tags($meta_data);
                                echo $data;
                                echo '<div class="c5-author-page-wrap c5-post-single">';
                                echo c5_get_author_basic_info();
                                echo '</div>';
                                $data = c5_get_related_posts($meta_data);
                                echo $data; ?>
                                </footer>
                                
                                <?php
                                $data = '';
                                $comments_order = c5_get_parameter_for_post('comments_order' , get_the_ID());
                                $comments_order_array = explode("_", $comments_order);
                                
                                foreach ($comments_order_array as  $value) {
                                	if($value == 'comments'){
                                		$data = $data . '[title title="' . __('Website comments','code125') . '" icon="icon-comment"]<div class="c5-post-single">' .c5_get_wordpress_comment_box($meta_data, true).'</div>';
                                	}else {
                                		$data = $data . '[title title="' . __('Facebook comments','code125') . '" icon="icon-facebook"]<div class="c5-post-single">' .c5_get_facebook_comment_box($meta_data) . '</div>';
                                	}
                                	
                                }
                                
                                echo do_shortcode($data);
                                
                                ?>
                            
                   
                    <?php } ?>



        </article> <!-- end article -->



    <?php else : ?>

        <article id="post-not-found" class="hentry clearfix">
            <header class="article-header">
                <h1><?php _e("Oops, Post Not Found!", "bonestheme"); ?></h1>
            </header>
            <section class="post-content">
                <p><?php _e("Uh Oh. Something is missing. Try double checking things.", "bonestheme"); ?></p>
            </section>
            <footer class="article-footer">
                <p><?php _e("This is the error message in the page.php template.", "bonestheme"); ?></p>
            </footer>
        </article>

    <?php endif; ?>



<?php
if($layout == 'side'){ ?>
</div>
<div class="col-md-4"><?php dynamic_sidebar('post') ?></div></div>
<?php }

?>

</div> <!-- end #main -->