<?php
/* * *********** COMMENT LAYOUT ******************** */

// Comment Layout
function bones_comments($comment, $args, $depth) {
    $GLOBALS['comment'] = $comment;
    ?>
    <li <?php comment_class(); ?>>
        <article id="comment-<?php comment_ID(); ?>" class="clearfix">
            <div class="row">
                <div class="col-xs-2">
                    <header class="comment-author vcard clearfix">
                        <?php echo get_avatar($comment, $size = '100', $default = ot_get_option('avatar')); ?>
					</header>
                </div>
                <div class="col-xs-10">
                    <div class="comment-wrap">
                        <!-- end custom gravatar call -->
                        <?php printf(__('<cite class="fn">%s</cite>'), get_comment_author_link()) ?><time class="time_class" datetime="<?php echo comment_time('Y-m-j'); ?>"><a href="<?php echo htmlspecialchars(get_comment_link($comment->comment_ID)) ?>"><?php comment_time('F jS, Y'); ?> </a></time>
                        <?php edit_comment_link(__('(Edit)', 'code125'), '  ', '') ?>
                        <?php comment_reply_link(array_merge($args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
                        <?php if ($comment->comment_approved == '0') : ?>
                            <div class="alert info">
                                <p><?php _e('Your comment is awaiting moderation.', 'code125') ?></p>
                            </div>
                        <?php endif; ?>
                        <section class="comment_content clearfix">
                            <?php comment_text() ?>
                        </section>
                    </div>
                </div>
            </div>


        </article>
        <!-- </li> is added by wordpress automatically -->
        <?php
    }

// don't remove this bracket!

    function c5_get_facebook_comment_box($meta_data , $in_box = true) {
        global $content_width;
        $data = '';
		
		$width = $content_width - 2*$GLOBALS['c5_padding'];
		
        if (in_array('fb_commnets', $meta_data)) {
            $data = '<div class="fb-comments" data-href="' . get_permalink() . '" data-width="' . $width . '" data-num-posts="5" data-colorscheme="' . c5_get_parameter_for_post('facebook_color',get_the_ID()) . '"></div>';
        }

        return $data;
    }



    function c5_get_wordpress_comment_box($meta_data) {
        $data = '';

        if (in_array('wp_commnets', $meta_data)) {

            ob_start();

            comments_template();


            $commenter = wp_get_current_commenter();
            $req = get_option('require_name_email');
            $aria_req = ( $req ? " aria-required='true'" : '' );
            $fields = array(
                'author' => '<div class="row comment-author-email-url"><div class="col-sm-4"><p class="label-input">' . __('Name ', 'code125') . '<span class="req">' . __('(Required)', 'code125') . '</span></p><div class="input-wrap"><input id="author" name="author" class="element-block " type="text" value="' .
                esc_attr($commenter['comment_author']) . '" size="30" tabindex="1" ' . $aria_req . ' placeholder=""  /><span class="icon-user"></span></div></div>',
                'email' => '<div class="col-sm-4"><p class="label-input">' . __('Email ', 'code125') . '<span class="req">' . __('(Required)', 'code125') . '</span></p><div class="input-wrap"><input id="email" name="email" class="element-block" type="text" value="' . esc_attr($commenter['comment_author_email']) . '" size="30" tabindex="2" ' . $aria_req . ' placeholder="" /><span class="icon-mail"></span></div></div>' ,
                'url' => '<div class="col-sm-4"><p class="label-input">' . __('Website ', 'code125') . '</span></p><div class="input-wrap"><input id="url" name="url" type="text" class="element-block " value="' . esc_attr($commenter['comment_author_url']) . '" size="30" tabindex="3"  placeholder="" /><span class="icon-globe"></span></div></div></div>'
            );



            $defaults = array(
                'fields' => apply_filters('comment_form_default_fields', $fields),
                'id_form' => 'commentform',
                'id_submit' => 'submit',
                'title_reply' =>  __('Leave a Reply', 'code125'),
                'comment_notes_after' => '',
                'title_reply_to' => __('Leave a Reply to %s', 'code125'),
                'cancel_reply_link' => __('Cancel reply', 'code125'),
                'label_submit' => __('comment', 'code125'),
                'comment_field' => '<p class="label-input">' . __('Your Comment ', 'code125') . '<span class="req">' . __('(Required)', 'code125') . '</span></p><textarea id="comment"  name="comment"  class="element-block  " tabindex="4" aria-required="true"></textarea>',
                'comment_notes_before' => ''
            );

            comment_form($defaults);

            $data = ob_get_contents();
            ob_end_clean();
        }

        return $data;
    }
    ?>