<?php

function c5_get_categories_for_theme_options() {
	$taxonomies = get_taxonomies( );
	 $all_categories  = array();
	 foreach ($taxonomies as $key ) {
	 	if(!( $key == 'post_tag' || $key == 'post_format' )){
	 		$categories = get_terms($key);
	 		foreach ($categories as $category) {
	 			$taxonomy_data = get_taxonomy($category->taxonomy);
	 			foreach ($taxonomy_data->object_type as $post_type) {
	 				$obj = get_post_type_object( $post_type );
	 				if($category->parent!=0){
	 					$parent_term = get_term( $category->parent, $category->taxonomy );
	 					$parent = $parent_term->term_taxonomy_id;
	 				}else {
	 					$parent = 0;
	 				}
	 				
	 				$all_categories[$category->term_taxonomy_id]  = array(
	 					'id' => $category->term_id,
	 					'label' => $category->name ,
	 					'parent' => $parent,
	 					'post_name' =>  $obj->label,
	 					'post_type' =>  $post_type,
	 					'taxonomy' =>  $category->taxonomy
	 				);
	 				
	 			}
	 			
	 		}
	 		
	 	}
	 }
	
	
	// this array contains all the childs
	$new_terms = array();
	$all_category = array();
	 foreach ($all_categories as $key => $term) {
	 	if($term['parent'] != 0){
	 		$new_terms[$key] = $term;
	 	}
	 }
	 $posts_local = array();
	 foreach ($all_categories as $term) {
	 	if(!isset($posts_local[$term['post_name']])){
	 		$posts_local[$term['post_name']] = $term['post_name'];
	 		$new_array = array(
	 		    'label' => $term['post_name'] . ' -> All Categories',
	 		    'value' => $term['post_type'] 
	 		);
	 		array_push($all_category, $new_array );
	 	}
	 	if( $term['parent'] == 0  ){
	 			$new_array = array(
	 			    'label' => $term['post_name'] . ' -> ' . $term['label'],
	 			    'value' => $term['post_type']  .'#'. $term['taxonomy'] . '#' . $term['id']
	 			);
	 			array_push($all_category, $new_array );
	 			foreach ($new_terms as $new_term ) {
	 				if($new_term['parent'] == $term['id']){
	 					
	 					$new_array = array(
	 					    'label' => $term['post_name'] . ' -> ' . $term['label'] . ' -> ' . $new_term['label'],
	 					    'value' => $term['post_type']  .'#'. $term['taxonomy'] . '#' . $new_term['id']
	 					);
	 					array_push($all_category, $new_array );
	 				}
	 			}
	 		
	 	}
	 	
	 }
	 
	 
	 return $all_category;
	 
}


  ?>