<?php 

function c5_make_docs_logo() {
	return '<h2>Adding Theme Logo</h2><p>You can Add your theme Logo here</p>';
}

function c5_return_docs($doc_part) {
	$docs = '';
	switch ($doc_part) {
		case 'logo':
		$docs = c5_make_docs_logo();
		break;
	}
	
	return $docs;
}


function c5_get_docs_part() {
	
	echo c5_return_docs($_POST['doc']);  
   	die();
}
add_action('wp_ajax_nopriv_c5_get_docs_part', 'c5_get_docs_part');
add_action('wp_ajax_c5_get_docs_part', 'c5_get_docs_part');


function c5_admin_notice() {
    ?>
    <input type="hidden" value="<?php echo home_url(); ?>" id="website_dir" name="website_dir" />
    <?php
}
add_action( 'admin_notices', 'c5_admin_notice' );


function c5_theme_option_docs($atts, $content) {
	$data =  '[fancy_tabgroup]
	[fancy_tab title="1. General Settings"]
	<h3>Section 1. General Settings</h3>
	<h4>1.1. Uploading Website Logo</h4>
	In this section, we\'re uploading the default logo of your website, and to put your logo in its place you have to include the shortcode [logo] in your header (for more info about creating the header, please check the header section)
	<h4>1.1.1.    Main Logo</h4>
	Upload the main logo for your website.
	<h4>1.1.2.    Logo Subline</h4>
	Add your logo subline text or leave it, it will not be shown.
	<h4>1.1.3.    Logo Size</h4>
	Choose the logo size, it is better for retina display to upload a full image and assign a smaller size, options are based on height, default value: Height 30
	<h4>1.1.4.    1.1.4. Main Logo Top Margin</h4>
	Top margin for the logo of your website, default: 0px.
	<h4>1.2. Favicon</h4>
	Upload a square Png/Gif image that will represent your website\'s favicon, high resolutions are highly recommended.
	<h4>1.3. Preview Mode</h4>
	Choose "Yes" to enable "Preview Mode" in order to test some colors\' changes in your website.
	<h4>1.4. Maintenance Mode</h4>
	Choose "Yes" to enable "Maintenance Mode" to your website.
	<h4>1.5. Enable SEO</h4>
	Choose "Yes" to enable "Built in SEO" features.
	<h4>1.6. Enable Website Compression</h4>
	Compressed code is a faster code because it reduces site\'s load time. The default value is true.
	<h4>1.7. Website Description</h4>
	Write the description of your website, it can be used and displayed when being shared on facebook.
	<h4>1.8. Google Analytics Code</h4>
	Paste your Google Analytics (or other) tracking code here, this will be added to your theme.
	<h4>1.9. Contact Page e-mail</h4>
	If you want any user to contact you, add your email address in this text field.
	<h4>1.10. Custom CSS Code</h4>
	You can add your CSS code in order to be run in each page of your website.
	<h4>1.11. Custom JavaScript Code</h4>
	In this part you can write your JavaScript code to run when in each page in your website.
	
	[/fancy_tab][fancy_tab title="2. Default Skins"]
	<h3>Section 2. Default Skins</h3>
	<h4>2.1. Choose The default Skin</h4>
	You should select the default skin of your website, this will affect the whole website.
	<h4>2.2. Posts Skin</h4>
	Post article choose its skin (i.e page layout options, page style options and page typography options). Page layout options contains some items that used to layout the page such as Header, Footer, Sidebar, Page Width, and RTL. Page style options contains some items that used to style the page such as colors in each part of the page, body background, any additional custom CSS and javascript. page typography options contains some items that used to typography of the page such as the type and size of font in header, title, main content and logo.
	
	[/fancy_tab]
	
	[fancy_tab title="3. Default Templates"]
	<h3>Section 3. Default Templates</h3>
	<h4>3.1. Choose The default templates</h4>
	You can select the default template for your categories/search/tag/author of your website.
	
	[/fancy_tab]
	
	[fancy_tab title="4. Custom Fonts"]
	<h3>Section 4. Custom Fonts</h3>
	<ol>
		<li><span style="font-size: 1.17em;">-        Login to FTP</span></li>
		<li><span style="font-size: 1.17em;">-        Go to the theme folder (wp-content/themes/kalemat)</span></li>
		<li><span style="font-size: 1.17em;">-        Go to (library/fonts)</span></li>
		<li><span style="font-size: 1.17em;">-        Upload your folder here</span></li>
	</ol>
	<h4>4.1. Title</h4>
	The title of new custom font.
	<h4>4.2. Folder Name</h4>
	The folder that you added the custom font in it
	<h4>4.3. ".CSS" File Name</h4>
	write the file name without extension .CSS to apply CSS to the file custom font
	
	[/fancy_tab]
	
	[fancy_tab title="5. Article Settings"]
	<h3>Section 5. Article Settings</h3>
	<img alt="" src="http://d.pr/i/i4QV+" />
	
	[/fancy_tab]
	
	[fancy_tab title="6. Search Settings"]
	<h3>Section 6. Search Settings</h3>
	<h4>6.1. Default Search Post Type</h4>
	Choose the post type you want to make your search based on.
	<h4>6.2. Show Categories Dropdown</h4>
	Show Categories Dropdown or not, Default No.
	<h4>6.3. Choose your Search Page Content template, Leave Blank for default posts</h4>
	Choose your Search Page template.
	
	[/fancy_tab][fancy_tab title="5. Category"]
	<h3>Section 7. Category</h3>
	<h4>7.1. Add Special Settings for Categories Page</h4>
	Add categories colors &amp; Icons.
	<h4>7.2. Add Special Settings for Tag Page</h4>
	Add tag special skins and page templates.
	
	[/fancy_tab][fancy_tab title="8. Sidebars"]
	<h3>Section 8. Sidebars</h3>
	Add Unlimited Sidebars to your website.
	<h4>8.1. Title</h4>
	The title of the sidebar that you want to use.
	<h4>8.2. Slug</h4>
	Sidebar Slug "All lowercase and must be unique".
	<h4>8.3. Description</h4>
	Sidebar Slug "All lowercase and must be unique".
	
	[/fancy_tab][fancy_tab title="9. Menu Locations"]
	<h3>Section 9. Menu Locations</h3>
	Add unlimited menu locations to your website,
	<h4>9.1. Title</h4>
	The title of the menu that you want to add.
	<h4>9.2. Location</h4>
	You will get the menu location by that name, no spaces are needed, you can re-order with drag &amp; drop, the order will be updated after saving.
	
	[/fancy_tab]
	
	[fancy_tab title="10. Social Settings"]
	<h3>Section 10. Social Settings</h3>
	you can insert your information social network in your website to make user contact you from this information
	<h4>10.1. Facebook username</h4>
	add your username of facebook account
	<h4>10.2. Facebook App ID</h4>
	Add your facebook App ID "used for analytics with your likes and social integration"
	<h4>10.3. Default facebook thumb</h4>
	Upload the default thumb for your website in facebook sharing, "Mostly shown when sharing your homepage".
	<h4>10.4. Twitter username</h4>
	Add your username of twitter account .
	<h4>10.5. Twitter Consumer Key</h4>
	Add your twitter Consumer Key from your application.
	<h4>10.6. Twitter Consumer Secret</h4>
	Add your twitter Consumer Secret from your application.
	<h4>10.7. Twitter Access Token</h4>
	Add your twitter Access Token.
	<h4>10.8. Twitter Access Token Secret</h4>
	Add your Twitter Access Token Secret.
	<h4>10.9. Google Plus ID</h4>
	Add your Google Plus ID.
	<h4>10.10. Youtube Username</h4>
	Add your Youtube Username.
	<h4>10.11. Viemo Channel Username</h4>
	Add your Viemo Channel Username.
	<h4>10.12. RSS Link</h4>
	Add your RSS link.
	<h4>10.13. Social Widget Article Count includes</h4>
	Post types check to count the articles.
	<h4>10.14. Social Top Icons</h4>
	Add your Social Top Icons to your website
	
	[/fancy_tab][fancy_tab title="11. Custom Post Types"]
	<h3>Section 11. Custom Post Types</h3>
	You can add a new custom post types to your website such as FAQ, Blog, etc.
	
	[/fancy_tab]
	[/fancy_tabgroup]';
	
	return do_shortcode($data);
}

add_shortcode('docs_theme_options' , 'c5_theme_option_docs');
 ?>