<?php 
function c5_get_top_footer() {
	global $c5_footerdata;
	
	
	if($c5_footerdata['footer_top_enable'] != 'yes'){
		return '';
	}
	
	$data = '';
	
	$data .= '<div id="top-footer" class="'.  $c5_footerdata['footer_top_style']  .' clearfix">';
	
	$data .= do_shortcode(  $c5_footerdata['footer_top_content']  );
	
	
	$data .= '</div>';
	
	return $data;
	
}



function c5_get_bottom_footer() {
	global $c5_footerdata;

	
	if($c5_footerdata['footer_below_enable'] != 'yes'){
		return '';
	}
	
	$data = '';
	
	$data .= '<div id="bottom-footer" class="'.  $c5_footerdata['footer_below_style']   .' clearfix"><div class="mid-page">';
	
	$data .= do_shortcode( $c5_footerdata['footer_below_content']  );
	
	
	$data .= '</div></div>';
	
	return $data;
	
}

function c5_get_outer_footer() {
	global $c5_footerdata;
	global $c5_skindata;
	
	if($c5_footerdata['outer_footer_enable'] != 'yes'){
		return '';
	}
	
	$data = '';
	
	$data .= '<div id="outer-footer" class="'.  $c5_skindata['main_bg_style']   .' clearfix"><div class="mid-page">';
	
	$data .= do_shortcode( $c5_footerdata['outer_footer_content']  );
	
	
	$data .= '</div></div>';
	
	return $data;
	
}


function c5_get_sticky_footer() {
	global $c5_footerdata;

	
	if($c5_footerdata['sticky_footer_enable'] != 'yes'){
		return '';
	}
	
	$data = '';
	
	$data .= '<div id="sticky-footer" class="'.  $c5_footerdata['sticky_footer_style']   .' clearfix"><div class="mid-page">';
	
	$data .= do_shortcode( $c5_footerdata['sticky_footer_content']  );
	
	
	$data .= '</div></div>';
	
	return $data;
	
}

function c5_get_main_footer() {
	global $c5_footerdata;
	
	
	
	if($c5_footerdata['footer_template'] == ''){
		return '';
	}
	
	$data = '';
	
	$data .= '<div id="main-footer" class="'.  $c5_footerdata['footer_style']  .' clearfix"><div class="mid-page">';
	
	$data .= do_shortcode( '[template id="'. $c5_footerdata['footer_template']  .'"]' );
	
	
	$data .= '</div></div>';
	
	return $data;
	
}


function c5_footer_ajax_reload() {
	if(!is_handheld()){
	?>
	<script  type="text/javascript">
	jQuery(document).ready(function ($) {
		var waitForFinalEvent = (function () {
		  var timers = {};
		  return function (callback, ms, uniqueId) {
		    if (!uniqueId) {
		      uniqueId = "Don't call this twice without a uniqueId";
		    }
		    if (timers[uniqueId]) {
		      clearTimeout (timers[uniqueId]);
		    }
		    timers[uniqueId] = setTimeout(callback, ms);
		  };
		})();
		
		$(window).resize(function () {
		    waitForFinalEvent(function(){
		       console.log( "<div>Handler for .resize() called.</div>" );
		       $('.posts-ajax-wrap ').each(function (e) {
		       		if($(this).width()>0){
		       			console.log( $(this).width());
		       			var temp = $(this);
		       			$.ajax({
		       			    type: "POST",
		       			    data: 'passing_string=' + temp.attr('c5-args-data') +  '&width='+temp.width()+'&blog_style='+temp.attr('blog_style')+'&passing_string_atts='+temp.attr('c5-passing_string_atts')+'&action=c5_reconstruct_posts',
		       			    url: $("#website_dir").val() + "/wp-admin/admin-ajax.php",
		       			    success: function (data) {
		       					temp.html(data);
		       					if(temp.attr('blog_style') == 'slider'){
		       						temp.removeData("flexslider");
		       						temp.flexslider({
		       						    animation: "slide",
		       						    animationLoop: true,
		       						    controlNav: false,
		       						    directionNav: true,
		       						    prevText: '<span class="icon-angle-left"></span>',
		       						    nextText: '<span class="icon-angle-right"></span>',
		       						    move: 1,
		       						    slideshow: true
		       						});
		       					}
		       			    }
		       			});
		       			
		       		}
		       		
		       });
		       
		    }, 500, "c5_resize");
		});
	
	});
	</script>
	<?php
	}
}


add_action('wp_footer' , 'c5_footer_ajax_reload',500);




 ?>