<?php 
function c5_responsive_meta_tag() {
	$responsive = ot_get_option('responsive');
	
	        if ($responsive != 'no') {
	            ?>
	            <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
	        <?php } else { ?>
	            <meta name="viewport" content="width=1024"/>
	        <?php }
}

function c5_get_favicon_by_id($fav_id ,$size) {
	if($fav_id == ''){
		$image_url = array();
		$image_url[0] = ot_get_option('favicon');
	}else{
		$image_url = wp_get_attachment_image_src($fav_id, $size);
	}
	return $image_url;
}

function c5_get_favicon() { 
$fav_id = '';
if(function_exists('get_attachment_id_from_src')){
	$fav_id = get_attachment_id_from_src(ot_get_option('favicon'));
}else {
	$fav_id = '';
}

$image_url = c5_get_favicon_by_id($fav_id, '32x32');
 ?>
 <link rel="shortcut icon" href="<?php echo $image_url[0] ?>">

<?php $image_url = c5_get_favicon_by_id($fav_id, '72x72'); ?>
<link rel="apple-touch-icon-precomposed" href="<?php echo $image_url[0] ?>" /> 

<?php $image_url = c5_get_favicon_by_id($fav_id, '114x114'); ?>
<link rel="apple-touch-icon-precomposed" href="<?php echo $image_url[0] ?>"  sizes="114×114" />


<?php $image_url = c5_get_favicon_by_id($fav_id, '120x120'); ?>
<link rel="apple-touch-icon-precomposed" sizes="120×120" href="<?php echo $image_url[0] ?>" />
<?php
?>
<?php $image_url = c5_get_favicon_by_id($fav_id, '58x58'); ?>
<!-- For non-Retina iPhone, iPod Touch, and Android 2.1+ devices: -->
<link rel="apple-touch-icon-precomposed" href="<?php echo $image_url[0] ?>">


	                                <?php
}

function c5_maintaince() {
	$maintaince = ot_get_option('maintaince');
	if ($maintaince == 'yes' && !is_home()) {
	    if ((!current_user_can('edit_themes') || !is_user_logged_in() ) && !is_home()) {
	        ?>
	        <!doctype html>
	        <html>
	            <head>
	                <meta http-equiv="Refresh" content="0; url=<?php echo home_url(); ?>"> 
	            </head>
	
	            <body>
	            </body>
	        </html>
	
	        <?php exit(); ?> 
	        <?php
	    }
	}
}

function c5_facebook_intialcode() {
	$data = '';
	$facebook_app_id = ot_get_option('facebook_ID');
	if($facebook_app_id!=''){
	    $data .= '<div id="fb-root"></div><script>(function(d, s, id) {
	            var js, fjs = d.getElementsByTagName(s)[0];
	            if (d.getElementById(id)) return;
	            js = d.createElement(s); js.id = id;
	            js.src = "//connect.facebook.net/en_US/all.js#xfbml=1&appId='. $facebook_app_id .'";
	            fjs.parentNode.insertBefore(js, fjs);
	        }(document, \'script\', \'facebook-jssdk\'));</script>';
	  }else {
	  	$data .= '<!-- Please Add the facebook app ID in theme options -->';
	  }
	  
	  return $data;
}

 ?>