<?php 




class code125_widget_featured_post extends WP_Widget {

	function code125_widget_featured_post() {
		$widget_ops = array( 'classname' => 'clearfix c5-widget  featured_post', 'description' => __('Featured Post', 'code125-admin') );
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'featured-widget' );
		
		$this->WP_Widget( 'featured-widget', __('Code125 Featured Post', 'code125-admin'), $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		$post_id = $instance['post_id'];
		
		
		$type = get_post_type($post_id );
		$tax = get_tax_by_type($type );
		
		$terms = wp_get_post_terms($post_id , $tax);
		 
		echo $before_widget;
		$before_title = '<h3 class=" title clearfix"><span class="text-wrap"><span class="c5-icon icon-bookmark"></span><span class="text">';
		?>
		<div class="<?php echo  $terms[0]->slug; ?>">
		<?php
		
		
		// Display the widget title 
		if ( $title )
			echo $before_title . $title . $after_title;


		$id_link = get_post_thumbnail_id($post_id);
			
		$image_url = wp_get_attachment_image_src( $id_link, '3-col');
			
		$image_url2 = wp_get_attachment_image_src( $id_link, 'full');
		?>
		
			<?php 
				$post2 = query_posts('p='.$post_id.'&post_type='.$type);
				while (have_posts()) : the_post();
			 ?>
			
			
			<?php if(is_array($image_url)){  ?>
				<div class="featured-post  <?php echo $tax.'-'.$terms[0]->term_id ; ?>">
				<a  href="<?php the_permalink(); ?>"><img src="<?php echo $image_url[0] ?>" width="<?php echo $image_url[1] ?>"  height="<?php echo $image_url[2] ?>"alt="" /></a>
			
				<h3><a  href="<?php echo the_permalink(); ?>"><?php the_title(); ?></a></h3></div>
			
			<?php } ?>
			</div>
			
	<?php
			endwhile;
		
		echo $after_widget;
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );
		
		$instance['post_id'] = strip_tags( $new_instance['post_id'] );
		return $instance;
	}

	
	function form( $instance ) {
		
		
		
		
		//Set up some default widget settings.
		$defaults = array( 'title' => __('Featured Post', 'code125-admin'), 'post_id' => '' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'code125-admin'); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'post_id' ); ?>"><?php _e('Post ID:', 'code125-admin'); ?></label>
			<input id="<?php echo $this->get_field_id( 'post_id' ); ?>" name="<?php echo $this->get_field_name( 'post_id' ); ?>" value="<?php echo $instance['post_id']; ?>" style="width:100%;" class="widefat" />
		</p>

						
	<?php
	}
}


 ?>