<?php 


class code125_widget_latest_posts_list extends WP_Widget {

	function code125_widget_latest_posts_list() {
		$widget_ops = array( 'classname' => 'clearfix c5-widget  posts latest_posts_list', 'description' => __('Show Posts for certain Category in List Style.', 'code125-admin') );
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'latest_posts_list' );
		
		$this->WP_Widget( 'latest_posts_list', 'Code125 Posts List Style', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		$posts_per_page = $instance['posts_per_page'];
		$category = $instance['category'];
		$orderby = $instance['orderby'];
		$order = $instance['order'];
		$meta_key = $instance['meta_key'];
		$time_frame = $instance['time_frame'];
		
		echo $before_widget;
		$before_title = '<h3 class=" title clearfix"><span class="text-wrap"><span class="c5-icon icon-docs"></span><span class="text">';
		// Display the widget title 
		if ( $title )
			echo $before_title . $title . $after_title;

		//Display the name 
			echo '<div class="textwidget clearfix">';
			
			$code = '[blog_titles category="'.$category.'" archive="false" posts_per_page="'.$posts_per_page.'" order="'.$order.'" orderby="'.$orderby.'" meta_key="'.$meta_key.'" time_frame="'.$time_frame.'" ]';
			echo do_shortcode($code);
			echo '</div>';

		
		echo $after_widget;
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		
				//Strip tags from title and name to remove HTML 
				$instance['title'] = strip_tags( $new_instance['title'] );
				
				$instance['posts_per_page'] = strip_tags( $new_instance['posts_per_page'] );
				$instance['category'] = strip_tags( $new_instance['category'] );
				$instance['orderby'] = strip_tags( $new_instance['orderby'] );
				$instance['order'] = strip_tags( $new_instance['order'] );
				$instance['meta_key'] = strip_tags( $new_instance['meta_key'] );
				$instance['time_frame'] = strip_tags( $new_instance['time_frame'] );
	
		
		return $instance;
	}

	
	function form( $instance ) {
		include(get_template_directory() . '/library/includes/theme-functions/widgets/form.php');	
	}
}


 ?>