<?php 

class code125_widget_get_connected extends WP_Widget {

	function code125_widget_get_connected() {
		$widget_ops = array( 'classname' => 'clearfix c5-widget  get_connected', 'description' => 'Show Get Connected Box');
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'get_connected-widget' );
		
		$this->WP_Widget( 'get_connected-widget','Code125 Social Box', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		$facebook = $instance['facebook'];
		$twitter = $instance['twitter'];
		$gplus = $instance['gplus'];
		$comments = $instance['comments'];
		$article = $instance['article'];
		
		echo $before_widget;

		// Display the widget title 
		if ( $title )
			echo $before_title . $title . $after_title;

			echo '<div class="textwidget">';
			echo do_shortcode('[social_box facebook="'.$facebook.'" twitter="'.$twitter.'" gplus="'.$gplus.'" comments="'.$comments.'" article="'.$article.'" ]');
			echo '</div>';
		
		
		echo $after_widget;
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['facebook'] = strip_tags( $new_instance['facebook'] );
		$instance['twitter'] = strip_tags( $new_instance['twitter'] );
		$instance['gplus'] = strip_tags( $new_instance['gplus'] );
		$instance['comments'] = strip_tags( $new_instance['comments'] );
		$instance['article'] = strip_tags( $new_instance['article'] );
		
		return $instance;
	}

	
	function form( $instance ) {

		//Set up some default widget settings.
		$defaults = array( 
			'title' => 'Get Connected',
			'facebook' => 'Likes',
			'twitter' => 'Followers',
			'gplus' => 'Followers',
			'comments' => 'Comment',
			'article' => 'Article');
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>
		
		
		<!--Facebook  -->
		
		<p>
			<label for="<?php echo $this->get_field_id( 'facebook' ); ?>">Facebook Likes:</label>
			<input id="<?php echo $this->get_field_id( 'facebook' ); ?>" name="<?php echo $this->get_field_name( 'facebook' ); ?>" value="<?php echo $instance['facebook']; ?>" style="width:100%;" class="widefat" />
		</p>
		
		<!--twitter  -->
		<p>
			<label for="<?php echo $this->get_field_id( 'twitter' ); ?>">Twitter Followers:</label>
			<input id="<?php echo $this->get_field_id( 'twitter' ); ?>" name="<?php echo $this->get_field_name( 'twitter' ); ?>" value="<?php echo $instance['twitter']; ?>" style="width:100%;" class="widefat" />
		</p>
		
		<!-- Google plus  -->
		<p>
			<label for="<?php echo $this->get_field_id( 'gplus' ); ?>">Google Plus Followers:</label>
			<input id="<?php echo $this->get_field_id( 'gplus' ); ?>" name="<?php echo $this->get_field_name( 'gplus' ); ?>" value="<?php echo $instance['gplus']; ?>" style="width:100%;" class="widefat" />
		</p>
		
		<!-- Comments  -->
		<p>
			<label for="<?php echo $this->get_field_id( 'comments' ); ?>">Comments:</label>
			<input id="<?php echo $this->get_field_id( 'comments' ); ?>" name="<?php echo $this->get_field_name( 'comments' ); ?>" value="<?php echo $instance['comments']; ?>" style="width:100%;" class="widefat" />
		</p>
		
		<!-- Posts Count  -->
		<p>
			<label for="<?php echo $this->get_field_id( 'posts' ); ?>">Article Count:</label>
			<input id="<?php echo $this->get_field_id( 'posts' ); ?>" name="<?php echo $this->get_field_name( 'posts' ); ?>" value="<?php echo $instance['posts']; ?>" style="width:100%;" class="widefat" />
		</p>
		
		

		
		

	<?php
	}
}

 ?>