/*global jQuery:false */
if (!window.getComputedStyle) {
    window.getComputedStyle = function (el) {
        "use strict";
        this.el = el;
        this.getPropertyValue = function (prop) {
            var re = /(\-([a-z]){1})/g;
            if (prop === "float") {
                prop = "styleFloat";
            }
            if (re.test(prop)) {
                prop = prop.replace(re, function () {
                    return arguments[2].toUpperCase();
                });
            }
            return el.currentStyle[prop] ? el.currentStyle[prop] : null;
        };
        return this;
    };
}
jQuery(document).ready(function ($) {
    "use strict";
  
    var responsive_viewport = $(window).width();
    if (responsive_viewport > 780) {
        var ul_length = $(".full.top-menu-nav ul.menu-sc-nav > li").length;
        $(".full.top-menu-nav ul.menu-sc-nav >li").css("width", 100 / ul_length + "%");
        $(".full.top-menu-nav ").fadeIn();

    }
    
    
    
    


    $(".navigation-shortcode.responsive .responsive-controller").click(function () {

        if ($(this).parent().children('ul.menu-sc-nav').hasClass('show_menu')) {
            $('.navigation-shortcode.responsive ul.menu-sc-nav').addClass('hide_menu');
            $('.navigation-shortcode.responsive ul.menu-sc-nav').removeClass('show_menu');
        } else {
            $(this).parent().children('ul.menu-sc-nav').addClass('show_menu');
            $(this).parent().children('ul.menu-sc-nav').removeClass('hide_menu');
        }


    });
      $('.flexslider-bg').flexslider({
        animation: "fade",
        pauseOnHover: false
      });
    

    if ($("#floating-trigger").length > 0) {
        var a = function () {

            var b = $(window).scrollTop();
            var d = $("#floating-trigger").offset().top;
            var c = $("header.header");
            var k = $('.gototop-wtap');
            if (b > d) {
                c.addClass('c5-header-float');
                k.fadeIn();
            } else {
                c.removeClass('c5-header-float');
                k.fadeOut();
            }
            if ($(".att-parallax").length > 0) {
                $(".att-parallax").each(function () {
                    var v = $(this).offset().top;

                    var diff = b*0.9- v;
                    $(this).css('background-position-y', diff );
                });
            }




        };
        $(window).scroll(a);
        a();
    }

	 $(".c5_mobile_row span").click(function (e) {
	        var s_id = $(this).attr('sidebar-id');
	        if($('#'+ s_id).hasClass('c5-show-sidebar')){
	        	$('#'+ s_id).removeClass('c5-show-sidebar');
	        }else {
	        	$('#'+ s_id).addClass('c5-show-sidebar');
	        }
	        if( $(this).hasClass('icon-forward') ){
	        	$(this).removeClass('icon-forward');
	        	$(this).addClass('icon-reply');
	        }else {
	        	$(this).removeClass('icon-reply');
	        	$(this).addClass('icon-forward');
	        }
	    });


    $("#social_icons li.search a").click(function (e) {
        if ($('#social_icons li.search').hasClass('active')) {
            $('#social_icons li.search').removeClass('active');

        } else {
            $('#social_icons li.search').addClass('active');
        }
        e.preventDefault();
    });
    $('#announcment-bar .close-button').click(function () {
        $('#announcment-bar').fadeOut();
    });



    if ($(".rtl ul.sub-menu li").length > 0) {
        $("ul.sub-menu li").each(function () {
            if ($(this).children("ul.sub-menu").length > 0) {
                $(this).children("a:first").append('<span class="more icon-left-open-mini"></span>');
            }
        });
    } else {
        $("ul.sub-menu li").each(function () {
            if ($(this).children("ul.sub-menu").length > 0) {
                $(this).children("a:first").append('<span class="more icon-right-open-mini"></span>');
            }
        });
    }

    if ($(".c5-pages-menu > ul").length > 0) {
        $(".c5-pages-menu > ul").addClass('top-nav menu-sc-nav clearfix');
        $(".c5-pages-menu ul ul ").addClass('sub-menu');
        $(".c5-pages-menu ul li").addClass('menu-item');
        $('.c5-pages-menu ').parent().fadeIn();

    }







    $("a.comment-reply-link").addClass("icon-reply");
    var $tabs = $(".tabs").children("li"),
    $tabdata = $(".tabdata");
    $tabdata.hide();
    $tabs.first().addClass("active").show();
    $tabdata.first().show();
    $tabs.on("click", function (e) {
        var $this = $(this);
        $tabs.removeClass("active");
        $this.addClass("active");
        $tabdata.hide();
        $($(this).find("a").attr("href")).fadeIn();
        e.preventDefault();
    });

    $(".newsticker").fadeIn();
    if ($(".rtl .newsticker").length > 0) {
        $(".rtl .newsticker").webTicker({
            direction: -1
        });
    } else {
        $(".newsticker").webTicker();
    }
    $('li.bpn-prev-link:empty').css('display', 'none');
    $('li.bpn-next-link:empty').css('display', 'none');
    $("#gotop").click(function () {
        $("html, body").animate({
            scrollTop: 0
        }, "200");
    });
    $(".side_show").click(function () {
        if ($(this).hasClass('active')) {
            $(this).removeClass('active');
            $('.span2.nav_bar').removeClass('side_hidden_show');
            $('#content.span10').removeClass('content_active');

        } else {
            $(this).addClass('active');
            $('.span2.nav_bar').addClass('side_hidden_show');
            $('#content.span10').addClass('content_active');
        }

    });

    $(".accordion").tabs(".accordion div.pane", {
        tabs: "h2",
        effect: "slide",
        initialIndex: null
    });
    $(".accordion_thumbs").tabs(".accordion_thumbs div.pane", {
        tabs: "div.title",
        effect: "slide",
        initialIndex: null
    });

    $(".gallery_slider").magnificPopup({
        delegate:	'a',
        type:	'image',
        tLoading: 'Loading image #%curr%...',
        mainClass: 'mfp-img-mobile',
        gallery: {
            enabled: true,
            navigateByImgClick: true,
            preload: [0,1]
        },
        image: {
            tError: '<a href="%url%">The image #%curr%</a> could not be loaded.',
            titleSrc: function(item) {
                return item.el.attr('title') + '';
            }
        }
    });
    $('.fancybox').magnificPopup({
        type: 'image',
        closeOnContentClick: true,
        closeBtnInside: false,
        mainClass: 'mfp-no-margins', // class to remove default margin from left and right side
        image: {
            verticalFit: true
        }
    });


    $(".toggle h3 a").click(function (e) {
        e.preventDefault();
        $(this).parents("h3").toggleClass("active").next("div").slideToggle("fast");
    });

    $(".post-like a").click(function(){
        var heart = $(this);
        var post_id = heart.data("post_id");
        $.ajax({
            type: "post",
            url: ajax_var.url,
            data: "action=post-like&nonce="+ajax_var.nonce+"&post_like=&post_id="+post_id,
            success: function(count){
                if(count != "already")
                {
                    heart.addClass("voted");
                    heart.children(".count").text(count);
                }
            }
        });

        return false;
    });

    $(".toggle h5").toggleClass("active");
    $(".toggle div").css("display", "none");
    $(".features").flexslider({
        animation: "slide",
        slideshowSpeed: 7E3,
        controlNav: true,
        prevText: '<span class="icon-angle-left"></span>',
        nextText: '<span class="icon-angle-right"></span>',
        manualControls: "ul.nav-ul-buttons li a",
        start: function (slider) {


            var $new_height = slider.slides.eq(0).height();
            slider.height($new_height);

            var $next_slide = slider.slides.eq(slider.animatingTo);
            $next_slide.find(".post-slide-content ").removeClass("bounceInDown");
            $next_slide.find(".post-slide-content ").addClass("show animated bounceInDown");
            
        },
        before: function (slider) {
            var $new_height = slider.slides.eq(slider.animatingTo).height();
            if($new_height != slider.height()){
                slider.animate({
                    height: $new_height
                }, 250);
            }

            var $next_slide = slider.slides.eq(slider.animatingTo);
            $next_slide.find(".post-slide-content ").removeClass("bounceInDown");
            $next_slide.find(".post-slide-content ").addClass("show animated bounceInDown");
        },
        after: function (slider) {
            var $next_slide = slider.slides.eq(slider.animatingTo);
            $next_slide.find(".post-slide-content ").removeClass("bounceInDown");
            $next_slide.find(".post-slide-content").addClass("show animated bounceInDown");
        }
    });






    $("[title]").tipTip();
    $("#contact_button_send").click(function (e) {
        if ($("#email").val() && $("#name").val() && $("#message").val()) {
            $("#email").removeClass("contact_error");
            $("#name").removeClass("contact_error");
            $("#message").removeClass("contact_error");
            var emailReg = /^([\w\-\.]+@([\w\-]+\.)+[\w\-]{2,4})?$/;
            if (!emailReg.test($("#email").val())) {
                $("#email").addClass("contact_error");
            } else {
                $.ajax({
                    type: "POST",
                    data: jQuery("#contact-form").serialize() + "&action=contact_send",
                    url: $("#website_dir").val() + "/wp-admin/admin-ajax.php",
                    success: function (data) {
                        if (data === "done") {
                            $(".message_contact_true").fadeIn();
                        } else {
                            $(".message_contact_false").fadeIn();
                        }
                    }
                });
            }
        } else {
            if (!$("#email").val()) {
                $("#email").addClass("contact_error");
            } else {
                $("#email").removeClass("contact_error");
            }
            if (!$("#name").val()) {
                $("#name").addClass("contact_error");
            } else {
                $("#name").removeClass("contact_error");
            }
            if (!$("#message").val()) {
                $("#message").addClass("contact_error");
            } else {
                $("#message").removeClass("contact_error");
            }
        }
        e.preventDefault();
    });

	$('#searchform input.element-block').donetyping( function () {
	  
	  $.ajax({
	      type: "POST",
	      data: 'passing_string=' + $(this).val() +  '&action=c5_live_search',
	      url: $("#website_dir").val() + "/wp-admin/admin-ajax.php",
	      success: function (data) {
	  		$('.c5-search-result').html(data);
	      }
	  });
	});

    $('.do-show-more-posts').on('click', function (e) {
        //...
        e.preventDefault();
        $(this).html( $(this).attr('data-loading') );
        var $t = $(this);
        $.ajax({
            type: "POST",
            data: 'passing_string=' + $(this).attr('data-args') + '&page=' + $(this).attr('data-page') + '&data-width=' + $(this).attr('data-width') + '&action=load_more_posts',
            url: $("#website_dir").val() + "/wp-admin/admin-ajax.php",
            success: function (data) {

                if (data === '0' || data === '' || data === 'udefined' || data === 'No More Posts' || data === 'No $args array created') {
                    data = '';
                    $t.html(  $t.attr('data-done') );
                } else {
                    $t.html($t.attr('data-loaded'));
                    $t.attr('data-page', parseInt($t.attr('data-page'),10) + 1);
                    if ($t.attr('data-isotope') === 'true') {
                        $t.parent().children('.posts-ajax-wrap').isotope('insert', $(data));
                    } else {
                        $t.parent().children('.posts-ajax-wrap').append(data);

                        $(".features").flexslider({
                            animation: "slide",
                            slideshowSpeed: 7E3,
                            controlNav: true,
                            prevText: '<span class="icon-angle-left"></span>',
                            nextText: '<span class="icon-angle-right"></span>',
                            manualControls: "ul.nav-ul-buttons li a",
                            start: function (slider) {
                                var $next_slide = slider.slides.eq(slider.animatingTo);
                                $next_slide.find(".width_50_right").addClass("show animated fadeInRight");
                                $next_slide.find("a.author").addClass("show animated animate2 bounceInDown");
                                $next_slide.find(".slide_rest").addClass("show animated animate3 fadeIn");
                            },
                            before: function (slider) {
                                var $next_slide = slider.slides.eq(slider.animatingTo);
                                $next_slide.find(".width_50_right").removeClass("show animated fadeInRight");
                                $next_slide.find("a.author").removeClass("show animated animate2 bounceInDown");
                                $next_slide.find(".slide_rest").removeClass("show animated animate3 fadeIn");
                            },
                            after: function (slider) {
                                var $next_slide = slider.slides.eq(slider.animatingTo);
                                $next_slide.find(".width_50_right").addClass("show animated fadeInRight");
                                $next_slide.find("a.author").addClass("show animated animate2 bounceInDown");
                                $next_slide.find(".slide_rest").addClass("show animated animate3 fadeIn");
                            }
                        });
                    }
                }


            }
        });
    });


    $('.top-menu-nav ul.menu-sc-nav > li.menu-item ').each(function () {
        var $t = $(this);
		if($t.hasClass('c5-mega-menu-li')){
			$t.parent('.menu-sc-nav').parent('.navigation-shortcode').addClass('c5-mega-menu-wrap');
		}
    });
    $('.c5-mega-menu-li').on('mouseenter', function (e) {
            
            var $t = $(this);
            $t.children('.c5-mega-menu-wrap').html('<span class=" icon-arrows-ccw c5-loading rotate-360">'+$t.children('.c5-mega-menu-wrap').attr('loading-text')+'</span>');
            $.ajax({
                type: "POST",
                data: 'passing_string=' + $(this).children('a.c5-mega-menu-a').attr('c5-mega-data') + '&action=c5_mega_menu',
                url: $("#website_dir").val() + "/wp-admin/admin-ajax.php",
                success: function (data) {
    				$t.children('.c5-mega-menu-wrap').html(data);
    				/*
    				$t.children('.c5-mega-menu-wrap').children('.c5-mega-menu-block').isotope({
    				  masonry: {
    				      columnWidth: $t.children('.c5-mega-menu-wrap').attr('c5-width')
    				    }
    				});
    				*/
                }
            });
        });
    

    $(document).on('click', '.show-full-post', function (e) {
        //...

        e.preventDefault();
        if(!$(this).hasClass('close-button')){
            $(this).html('<span class="text ">' + $(this).attr('data-loading') + '<span class="more-right rotate-360 icon-spinner"></span></span><span class="hover">' + $(this).attr('data-loading') + '<span class="more-right rotate-360 icon-spinner"></span></span>');
            var $t = $(this);
            $.ajax({
                type: "POST",
                data: 'id=' + $(this).attr('data-id') + '&type=' + $(this).attr('data-type') + "&action=show_full_post",
                url: $("#website_dir").val() + "/wp-admin/admin-ajax.php",
                success: function (data) {

                    if (data === '0' || data === '' || data === 'udefined' || data === 'No More Posts' || data === 'No $args array created') {
                        data = '';
                        $t.html('<span class="text ">' + $t.attr('data-done') + '</span><span class="hover ">' + $t.attr('data-done') + '</span>');
                    } else {


                        $t.parent().children('.content-short').css('display','block');
                        $t.parent().children('.content-short').empty().append(data);


                        $t.html('<span class="text ">' + $t.attr('data-close') + '</span><span class="hover">' + $t.attr('data-close') + '</span>');
                        $t.addClass('close-button');
                        $(".features").flexslider({
                            animation: "slide",
                            slideshowSpeed: 7E3,
                            controlNav: true,
                            prevText: '<span class="icon-angle-left"></span>',
                            nextText: '<span class="icon-angle-right"></span>',
                            manualControls: "ul.nav-ul-buttons li a",
                            start: function (slider) {
                                var $next_slide = slider.slides.eq(slider.animatingTo);
                                $next_slide.find(".width_50_right").addClass("show animated fadeInRight");
                                $next_slide.find("a.author").addClass("show animated animate2 bounceInDown");
                                $next_slide.find(".slide_rest").addClass("show animated animate3 fadeIn");
                            },
                            before: function (slider) {
                                var $next_slide = slider.slides.eq(slider.animatingTo);
                                $next_slide.find(".width_50_right").removeClass("show animated fadeInRight");
                                $next_slide.find("a.author").removeClass("show animated animate2 bounceInDown");
                                $next_slide.find(".slide_rest").removeClass("show animated animate3 fadeIn");
                            },
                            after: function (slider) {
                                var $next_slide = slider.slides.eq(slider.animatingTo);
                                $next_slide.find(".width_50_right").addClass("show animated fadeInRight");
                                $next_slide.find("a.author").addClass("show animated animate2 bounceInDown");
                                $next_slide.find(".slide_rest").addClass("show animated animate3 fadeIn");
                            }
                        });
                    }


                }
            });
        }
    });



    $(document).on("click", "a.close-button", function () {
        var $t = $(this);
        $(this).parent().children('.content-short').fadeOut();
        $t.html('<span class="text ">' + $t.attr('data-done') + '</span><span class="hover">' + $t.attr('data-done') + '</span>').removeClass('close-button');

    });
    //Quick read
    $(document).on("click", ".quick-read", function c5_quick_read (e) {

        $.ajax({
            type: "POST",
            data: 'post_id=' + $(this).attr('post-id')+ "&action=get_full_post",
            url: $("#website_dir").val() + "/wp-admin/admin-ajax.php",
            success: function (data) {
                $.magnificPopup.open({
                    items: {
                        src: data
                    },
                    mainClass: 'mfp-img-post',
                    type: 'inline'
                }, 0);
                FB.XFBML.parse();
                $.ajax({
                    url: 'http://platform.twitter.com/widgets.js',
                    dataType: 'script',
                    cache:true
                });
                $.ajax({
                    url: 'http://assets.pinterest.com/js/pinit.js',
                    dataType: 'script',
                    cache:true
                });
                $.ajax({
                    url: 'https://apis.google.com/js/plusone.js',
                    dataType: 'script',
                    cache:true
                });
            }
        });
        e.preventDefault();

    });
    
    
    //Quick read
        $(document).on("click", ".c5-quick-read", function c5_quick_read (e) {
    
            $.ajax({
                type: "POST",
                data: 'post_id=' + $(this).attr('post-id')+ "&action=get_full_post",
                url: $("#website_dir").val() + "/wp-admin/admin-ajax.php",
                success: function (data) {
                    $.magnificPopup.open({
                        items: {
                            src: data
                        },
                        mainClass: 'mfp-img-post',
                        type: 'inline'
                    }, 0);
                    FB.XFBML.parse();
                    $.ajax({
                        url: 'http://platform.twitter.com/widgets.js',
                        dataType: 'script',
                        cache:true
                    });
                    $.ajax({
                        url: 'http://assets.pinterest.com/js/pinit.js',
                        dataType: 'script',
                        cache:true
                    });
                    $.ajax({
                        url: 'https://apis.google.com/js/plusone.js',
                        dataType: 'script',
                        cache:true
                    });
                }
            });
            e.preventDefault();
    
        });

    $(document).on("click", ".open-video", function (e) {

        $.ajax({
            type: "POST",
            data: 'post_id=' + $(this).attr('post-id')+ "&action=get_video_post",
            url: $("#website_dir").val() + "/wp-admin/admin-ajax.php",
            success: function (data) {
                $.magnificPopup.open({
                    items: {
                        src: data
                    },
                    mainClass: 'mfp-video-post',
                    type: 'inline'
                }, 0);


            }
        });
        e.preventDefault();

    });


    $("#preview_show").click(function () {
        if ($("#preview").hasClass("hide2")) {
            $("#preview").removeClass("hide2");
            $("#preview").addClass("show2");
        } else {
            $("#preview").removeClass("show2");
            $("#preview").addClass("hide2");
        }
    });
    (function ($) {
        $("select.resp_navigation").bind("change", function () {
            if ($(this).val() !== "" && $(this).val() !== document.location.href) {
                document.location.href = $(this).val();
            }
        });
        $('select[name="resp_navigation"]').bind("change", function () {
            document.location.href = "http://" + document.location.host + "/?page_id=" + $(this).val();
        });
    })(jQuery);
});
(function (w) {
    "use strict";
    if (!(/iPhone|iPad|iPod/.test(navigator.platform))) {
        if (navigator.userAgent.indexOf("AppleWebKit") > -1) {
            return;
        }
    }
    var doc = w.document;
    if (!doc.querySelector) {
        return;
    }
    var meta = doc.querySelector("meta[name=viewport]");
    var initialContent = meta && meta.getAttribute("content");
    var disabledZoom = initialContent + ",maximum-scale=1";
    var enabledZoom = initialContent + ",maximum-scale=10",
    enabled = true,
    x, y, z, aig;
    if (!meta) {
        return;
    }

    function restoreZoom() {
        meta.setAttribute("content", enabledZoom);
        enabled = true;
    }

    function disableZoom() {
        meta.setAttribute("content", disabledZoom);
        enabled = false;
    }

    function checkTilt(e) {
        aig = e.accelerationIncludingGravity;
        x = Math.abs(aig.x);
        y = Math.abs(aig.y);
        z = Math.abs(aig.z);
        if (!w.orientation && (x > 7 || (z > 6 && y < 8 || z < 8 && y > 6) && x > 5)) {
            if (enabled) {
                disableZoom();
            }
        } else {
            if (!enabled) {
                restoreZoom();
            }
        }
    }
    w.addEventListener("orientationchange", restoreZoom, false);
    w.addEventListener("devicemotion", checkTilt, false);
})(this);