<?php
/** بسم الله الرحمن الرحيم **
 *
 * Plugin Name: Code125 Shortcodes - Kalemat   
 * Plugin URI: http://code125.com/
 * Description: Add Shortcodes to the theme - Kalemat.
 * Version: 1.0
 * Author: Code125
 * Author URI: http://themeforest.net/user/Code125
 * License: GPLV3
 *
 */

/*
define( 'C5_shortcodes_PATH',  plugin_dir_path( __FILE__ )  );

if(!current_theme_supports('c5_kalemat_shortcodes')){
	 require_once( C5_shortcodes_PATH.'/theme/option-tree/ot-loader.php');
	 global $content_width;
	 
	 $GLOBALS['main_content_width']= $content_width;
}
*/


define( 'C5_shortcodes_PATH',  get_template_directory() . '/library/kalemat-plugin'  );
define( 'C5_shortcodes_URL',  get_template_directory_uri() . '/library/kalemat-plugin'  );


//theme functions
$c5_theme_function = array(
    'view-like',
    'social',
    'rating',
    'post-formats',
    'menu',
    'ajax',
    'blog',
    'images',
    'wp-image',
    'mobble/mobble',
    'post',
    'style',
    'custom-posts/custom-posts',
    'c5-shortcodes-generator/shortcodes'
 );
foreach ($c5_theme_function as $value) {
    require_once( C5_shortcodes_PATH.'/library/' . $value . '.php');
}


include_once('shortcodes/documentation_shortcodes.php');


include_once('functions.php');

include_once('shortcodes/definition-layout.php');
include_once('shortcodes/definition-elements.php');

include_once('shortcodes/definition-blog.php');

include_once('shortcodes/definition-tabs.php');
include_once('shortcodes/definition-social.php');
include_once('shortcodes/definition-ads.php');


//


include_once('shortcodes/implementation.php');

include_once('shortcodes/implementation-layout.php');
include_once('shortcodes/implementation-elements.php');
include_once('shortcodes/implementation-blog.php');
include_once('shortcodes/implementation-article.php');
include_once('shortcodes/implementation-tabs.php');
include_once('shortcodes/implementation-social.php');
include_once('shortcodes/implementation-ads.php');


function c5_kalemat_plugin_is_here() {
	return'';
}

?>