<?php

/**
 * Shortcode: ad_728x90
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_ad_728x90($atts, $content = null) {
    if(is_mobile()){
    	return '';
    }
    $atts = shortcode_atts(array('title' => ''), $atts);
    return '<div class="ad_728x90">' . html_entity_decode($content) . '</div>';
}
/**
 * Shortcode: ad_468x60
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */

function code125_ad_468x60($atts, $content = null) {
	if(is_mobile()){
		return '';
	}
    $atts = shortcode_atts(array('title' => ''), $atts);
   return '<div class="ad_468x60">' . html_entity_decode($content). '</div>';
}
/**
 * Shortcode: ad_300x250
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */

function code125_ad_300x250($atts, $content = null) {
    $atts = shortcode_atts(array('title' => ''), $atts);
   return '<div class="ad_300x250">' . html_entity_decode($content). '</div>';
}
/**
 * Shortcode: ad_300x50
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */

function code125_ad_300x50($atts, $content = null) {

	if(!is_mobile()){
		return '';
	}
    $atts = shortcode_atts(array('title' => ''), $atts);
    if(wp_is_mobile()){
  	 return '<div class="ad_300x50">' . html_entity_decode($content). '</div>';
   }else {
   	return '';
   }
}

?>
