<?php 


/**
 * Shortcode: posts
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_posts($atts, $content = null) {

	
	if(!isset($GLOBALS['start_time_blog'])){
		$GLOBALS['start_time_blog'] =0;
	}
	
	$blog_id = c5_generateRandomString();
	
	
	if (!isset($GLOBALS['c5_blogs_js'])) {
	    $GLOBALS['c5_blogs_js'] = '';
	}
	$GLOBALS['posts_start_time'] = microtime(true);
	
     $atts = c5_handle_atts_array($atts);
     
    $data = '';
    $skip_query = true;
    if( $atts['archive'] == 'true' ){
    	$skip_query = false;
    	if( is_page() ){
    		$skip_query = true;
    	}
     }
     $args_data = '';
     $passing_string_atts ='';
     if($skip_query){
     	$args = c5_get_posts_atts($atts);
     	query_posts($args);
     	$data .= c5_get_post_shortcode_title($atts);
     	$args_data = 'c5-args-data=\''. serialize($args) . '\'';
     	$passing_string_atts = 'c5-passing_string_atts=\''. serialize($atts) . '\'';
     }
     $class='';
     
     global $c5_is_header;
     
     if($c5_is_header){
     	$class .= ' c5-in-header';
     }
     
     $slider_flag = false;
     if($atts['blog_style']== 'slider'){
	     $slider_flag = true;
     }
     
     if($slider_flag  ){
         $class .=" flexslider c5-main-slider ";
     }
     
    $data .= '<div class="blog-shortcode-wrap"><div class="posts-ajax-wrap  '.$atts['blog_style'].' '.$atts['blog_style'].'-'.$blog_id.' '.$class.'" '.$args_data.' '.$passing_string_atts.' blog_style="'.$atts['blog_style'].'" >';
    
     if( $slider_flag || $atts['blog_style']== 'col-4-slider'){
         $data .= '<ul class="slides">';
     }
     
    while (have_posts()) : the_post();
    	
    
     	
		include(C5_shortcodes_PATH . '/templates/blog-style-'.$atts['blog_style'].'.php');
		
		
		
   endwhile;
   if($slider_flag ||  $atts['blog_style']== 'col-4-slider'){
       $data .= '</ul>';
   }
   $data .=  '</div><div class="clearfix"></div>';
	
	$data .= c5_get_paginiation_for_posts($atts);  
	
	
    $data .= '</div>'; 
    wp_reset_query();
    
    
    
    
    if($atts['blog_style']== 'col-4-slider'){
    
    $width =c5_get_image_width($atts);
    
    if($width < 700){
    	$col_count = 3;
    }elseif ($width < 1024) {
    	$col_count = 4;
    }else{
    	$col_count = 6;
    }
   	$width = round ( ( $width - ( ($col_count - 1) * 30 ) ) / $col_count );
   	$GLOBALS['c5_blogs_js'] .= '$(\'.posts-ajax-wrap.col-4-slider-'.$blog_id.'\').flexslider({
   	  animation: "slide",
   	  animationLoop: false,
   	  itemWidth: '.$width.',
   	  itemMargin: 30,
   	  controlNav: false,
   	  directionNav: true,
   	  prevText: \'<span class="icon-angle-left"></span>\',
   	  nextText: \'<span class="icon-angle-right"></span>\',
   	  move: 1,
   	  slideshow: false
   	}).fadeIn();';
   	
   	
    }
    
    
    if($atts['blog_style']== 'slider'){
    
    $width =c5_get_image_width($atts);
    if(!is_mobile()){
    	$width = round(($width-$GLOBALS['c5_padding'])/2) ;
    }
    	$GLOBALS['c5_blogs_js'] .= '$(".'.$atts['blog_style'].'-'.$blog_id.'.c5-main-slider").flexslider({
    	    animation: "slide",
    	    animationLoop: true,
    	    controlNav: false,
    	    directionNav: true,
    	    prevText: \'<span class="icon-angle-left"></span>\',
    	    nextText: \'<span class="icon-angle-right"></span>\',
    	    move: 1,
    	    slideshow: true
    	});
    	';
    	
    	
    }
    $blog_id++; 
    
    
    $GLOBALS['posts_end_time'] = microtime(true);
    $time = $GLOBALS['posts_end_time'] - $GLOBALS['posts_start_time'];
   $data = $data .  '<!--posts took '.$time.' seconds -->';
    $GLOBALS['start_time_blog'] = $GLOBALS['start_time_blog'] + $time;
    return $data;
    
}


function code125_blog_footer_js() {
    ?>
    <script  type="text/javascript">
        jQuery(document).ready(function($) {
    <?php
    if (isset($GLOBALS['c5_blogs_js'])) {
        echo $GLOBALS['c5_blogs_js'];
    }
    ?>

        });
    </script>
    <?php
}

add_action('wp_footer', 'code125_blog_footer_js', 300);




function code125_blog_mansory_mixed($atts, $content = null) {
	$atts = c5_handle_atts_array($atts);
	   
	   $atts['blog_style'] = 'mansory-mixed';
	   $data = code125_posts($atts, null);
	   return $data;
}

function code125_blog_mansory_category($atts, $content = null) {
	$atts = c5_handle_atts_array($atts);
	   
	   $atts['blog_style'] = 'mansory-category';
	   $data = code125_posts($atts, null);
	   return $data;
}

function code125_blog_mansory_category_2($atts, $content = null) {
	$atts = c5_handle_atts_array($atts);
	   
	   $atts['blog_style'] = 'mansory-category-2';
	   $data = code125_posts($atts, null);
	   return $data;
}

function code125_blog_mansory_blog_wide($atts, $content = null) {
	$atts = c5_handle_atts_array($atts);
	   
	   $atts['blog_style'] = 'mansory-blog-wide';
	   $data = code125_posts($atts, null);
	   return $data;
}

function code125_blog_mansory_blog_small($atts, $content = null) {
	$atts = c5_handle_atts_array($atts);
	   
	   $atts['blog_style'] = 'mansory-blog-small';
	   $data = code125_posts($atts, null);
	   return $data;
}

function code125_blog_mansory($atts, $content = null) {
	$atts = c5_handle_atts_array($atts);
	   
	   $atts['blog_style'] = 'mansory';
	   $data = code125_posts($atts, null);
	   return $data;
}



function code125_blog_classic($atts, $content = null) {
	$atts = c5_handle_atts_array($atts);
	   
	   $atts['blog_style'] = 'classic';
	   $data = code125_posts($atts, null);
	   return $data;
}




function code125_blog_slider($atts, $content = null) {
	$atts = c5_handle_atts_array($atts);
	
	$atts['blog_style'] = 'slider';
	$atts['featured_media'] = 'image';
	$data = code125_posts($atts, null);
	
	return $data;
}

function code125_blog_slider_square($atts, $content = null) {
	$atts = c5_handle_atts_array($atts);
	
	$atts['blog_style'] = 'slider-square';
	$atts['featured_media'] = 'image_ajax';
	$data = code125_posts($atts, null);
	
	return $data;
}

function code125_blog_slider_media_floated($atts, $content = null) {
	$atts = c5_handle_atts_array($atts);
	
	$atts['blog_style'] = 'slider-media-floated';
	$atts['featured_media'] = 'image_ajax';
	$data = code125_posts($atts, null);
	
	return $data;
}




function code125_blog_4_col_slider($atts, $content = null) {
	$atts = c5_handle_atts_array($atts);
	
	$atts['blog_style'] = 'col-4-slider';
	$atts['featured_media'] = 'image';
	$data = code125_posts($atts, null);
	
	return $data;
}

function code125_blog_flip_posts($atts, $content = null) {
	$atts = c5_handle_atts_array($atts);
	
	$atts['blog_style'] = 'small-post';
	$atts['featured_media'] = 'image';
	$data = code125_posts($atts, null);
	
	return $data;
}


function code125_blog_thumbnails($atts, $content = null) {
	$atts = c5_handle_atts_array($atts);
	
	$atts['blog_style'] = 'thumb';
	$atts['featured_media'] = 'image';
	$data = code125_posts($atts, null);
	
	return $data;
}

function code125_blog_thumbnails_title($atts, $content = null) {
	$atts = c5_handle_atts_array($atts);
	
	$atts['blog_style'] = 'thumb-title';
	$data = code125_posts($atts, null);
	
	return $data;
}

function code125_blog_titles($atts, $content = null) {
	$atts = c5_handle_atts_array($atts);
	
	$atts['blog_style'] = 'blog-titles';
	$data = code125_posts($atts, null);
	
	return $data;
}

function code125_blog_news_in_photos($atts, $content = null) {
	$atts = c5_handle_atts_array($atts);
	
	$atts['blog_style'] = 'news-photo';
	$atts['featured_media'] = 'image';
	$data = code125_posts($atts, null);
	
	return $data;
}
function code125_blog_big_small_vertical($atts, $content = null) {
	$atts = c5_handle_atts_array($atts);
	
	$atts['blog_style'] = 'big-small-vertical';
	$data = code125_posts($atts, null);
	
	return $data;
}

function code125_blog_big_small_horizontal($atts, $content = null) {
	$atts = c5_handle_atts_array($atts);
	
	$atts['blog_style'] = 'big-small-horizontal';
	$data = code125_posts($atts, null);
	
	return $data;
}















/**
 * Shortcode: mega_menu_category
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */

function code125_mega_menu_category($atts, $content = null){

global $post;
$atts = shortcode_atts(
	array('category' => 'post',
		  'latest'=> 'true',
          'latest_title' => 'Latest Articles',
          'popular'=> 'true',
          'popular_title' => 'Popular Articles',
          'most_viewed'=> 'true',
          'most_viewed_title' => 'Most Viewed Articles',
          'most_rated'=> 'true',
          'most_rated_title' => 'Most Rated Articles',
          'most_liked'=> 'true',
          'most_liked_title' => 'Most Liked Articles',
          'most_shared'=> 'true',
          'most_shared_title' => 'Most Shared Articles',
            ), $atts);

	$post_type_info = explode("#", $atts['category']);
	
	$post_type = $post_type_info[0];
	$tax = $post_type_info[1];
	$category = $post_type_info[2];
	
	$data ='<div class="'.$tax. '-' . $category.'">[fancy_tabgroup]';
	
 	if($atts['latest'] == 'true'){
 		$args = c5_handle_mega_menu_args($post_type, $tax, $category, 'date');
 		$data .= c5_get_mega_menu_category($atts['latest_title'], 'icon-clock' , $args);
 	}
 	
 	if($atts['popular'] == 'true'){
 		$args = c5_handle_mega_menu_args($post_type, $tax, $category, 'comments_count');
 		$data .= c5_get_mega_menu_category($atts['popular_title'], 'icon-comment' , $args);
 	}
 	if($atts['most_viewed'] == 'true'){
 		$args = c5_handle_mega_menu_args($post_type, $tax, $category, 'post_views_count');
 		$data .= c5_get_mega_menu_category($atts['most_viewed_title'], 'icon-eye' , $args);
 	}
 	if($atts['most_rated'] == 'true'){
 		$args = c5_handle_mega_menu_args($post_type, $tax, $category, 'rating_average');
 		$data .= c5_get_mega_menu_category($atts['most_rated_title'], 'icon-star' , $args);
 	}
 	if($atts['most_liked'] == 'true'){
 		$args = c5_handle_mega_menu_args($post_type, $tax, $category, 'votes_count');
 		$data .= c5_get_mega_menu_category($atts['most_liked_title'], 'icon-heart' , $args);
 	}
 	if($atts['most_shared'] == 'true'){
 		$args = c5_handle_mega_menu_args($post_type, $tax, $category, 'total_share');
 		$data .= c5_get_mega_menu_category($atts['most_shared_title'], 'icon-share' , $args);
 	}
 	
 	
 	$data .='[/fancy_tabgroup]</div>';
 	
 	
return do_shortcode($data);

}


/**
 * Shortcode: breaking_news
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */

function code125_breaking_news($atts, $content = null){

$start_flickr_sc =microtime(true);
if(is_handheld()){
	return '';
}


global $post;
$atts = shortcode_atts(
	array(
		'posts_per_page' => '8',
		'paging' => 'false',
		'order' => 'DESC',
		'orderby' => 'post_date',
		'meta_key' => '',
		'title' => 'false',
		'blog_style' => 'all-meta-lined',
		'post_id' => '',
		'thumb_view' => 'views',
		'thumb_size' => 'full',
		'time_frame' => 'all',
		'sidebar' => 'false',
		'category'=>'post',
		'col_count' => 1,
		'archive' => 'false',
		'type' => 'post',
		'excerpt' => 'excerpt',
		'featured_media' => 'image',
		'quick_read' => 'yes',
		'tags' => 'yes',
		'author_enable' => 'name_image_position',
		'date_enable' => 'ago',
		'comments_count_enable' => 'yes',
		'cat_enable' => 'yes',
		'like_enable' => 'yes',
		'view_count_enable' => 'yes',
		'social_count_enable' => 'yes',
		'review_enable' => 'yes',
		
		  'source_type'=>'',
		  'title'=>''
		  
		   ), $atts);

	
 	
 	
 	$data = '';
 	
 	$data = $data . '<div class="breaking-news-ticker   clearfix"><p class="breaking-title">'.do_shortcode($atts['title']). '</p><ul class="newsticker" style="display:none">';
 	
 	if ($atts['source_type']=='posts' || $atts['source_type']=='category' ){
      	$atts['blog_style'] = 'breaking-news';
   		$data .= code125_posts($atts, null);
   	}else {
   	 $data = $data . do_shortcode($content);
   	}

$data =  $data . '</ul></div>';

$end_flickr_sc =microtime(true);
$diff= $end_flickr_sc - $start_flickr_sc;
$data .= '<!--breaking news shortcode: '.$diff.' -->'; 
 wp_reset_query();
return $data;

}



 ?>