<?php 

		$all_category = array();
		  
		  
		$args = array(
		   'public'   => true
		   
		 ); 
		 $taxonomies = get_taxonomies( $args );
		 $all_categories  = array();
		 foreach ($taxonomies as $key ) {
		 	if(!( $key == 'post_tag' || $key == 'post_format' )){
		 		$categories = get_terms($key);
		 		foreach ($categories as $category) {
		 			$taxonomy_data = get_taxonomy($category->taxonomy);
		 			foreach ($taxonomy_data->object_type as $post_type) {
		 				$obj = get_post_type_object( $post_type );
		 				if($category->parent!=0){
		 					$parent_term = get_term( $category->parent, $category->taxonomy );
		 					$parent = $parent_term->term_taxonomy_id;
		 				}else {
		 					$parent = 0;
		 				}
		 				
		 				$all_categories[$category->term_taxonomy_id]  = array(
		 					'id' => $category->term_id,
		 					'label' => $category->name ,
		 					'parent' => $parent,
		 					'post_name' =>  $obj->label,
		 					'post_type' =>  $post_type,
		 					'taxonomy' =>  $category->taxonomy
		 				);
		 				
		 			}
		 			
		 		}
		 		
		 	}
		 }
		
		
		// this array contains all the childs
		$new_terms = array();
		 
		 foreach ($all_categories as $key => $term) {
		 	if($term['parent'] != 0){
		 		$new_terms[$key] = $term;
		 	}
		 }
		 $posts_local = array();
		 foreach ($all_categories as $term) {
		 	if(!isset($posts_local[$term['post_name']])){
		 		$posts_local[$term['post_name']] = $term['post_name'];
		 		$all_category[ $term['post_type'] ] = $term['post_name'] . ' -> All Categories' ;
		 	}
		 	if( $term['parent'] == 0  ){
		 			$all_category[$term['post_type']  .'#'. $term['taxonomy'] . '#' . $term['id'] ] = $term['post_name'] . ' -> ' . $term['label'];
		 			foreach ($new_terms as $new_term ) {
		 				if($new_term['parent'] == $term['id']){
		 					
		 					
		 					$all_category[ $term['post_type']  .'#'. $term['taxonomy'] . '#' . $new_term['id'] ] = $term['post_name'] . ' -> ' . $term['label'] . ' -> ' . $new_term['label'] ;
		 				}
		 			}
		 		
		 	}
		 	
		 }
		
		 
		
		
		
		//Set up some default widget settings.
		$defaults = array( 'title' => 'Title', 'posts_per_page' =>'8', 'category'=>'post' ,'orderby'=>'date', 'order'=>'DESC' , 'meta_key'=> 'post_views_count', 'time_frame'=>'all');
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('posts_per_page'); ?>">Number of Posts:</label>
			<select name="<?php echo $this->get_field_name('posts_per_page'); ?>" id="<?php echo $this->get_field_id('posts_per_page'); ?>" class="widefat">
				<?php
				$options = array('3','4','5','6','7','8','9','10','7','8','9','10','11','12','13','14','15','16','17');
				foreach ($options as $option) {
				$select = $instance['posts_per_page'];
					echo '<option value="' . $option . '" id="' . $option . '"', $select == $option ? ' selected="selected"' : '', '>' . $option . '</option>';
				}
				?>
			</select>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('category'); ?>">Category:</label>
			<select name="<?php echo $this->get_field_name('category'); ?>" id="<?php echo $this->get_field_id('category'); ?>" class="widefat">
				<?php
				
				foreach ($all_category as $option => $value) {
				
					$select = $instance['category'];
				
					echo '<option value="' . $option . '" id="' . $option . '"', $select == $option ? ' selected="selected"' : '', '>' . $value . '</option>';
				}
				?>
			</select>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('order'); ?>">Order:</label>
			<select name="<?php echo $this->get_field_name('order'); ?>" id="<?php echo $this->get_field_id('order'); ?>" class="widefat">
				<?php
				
				$order_options =array('DESC' => 'Descending',
				'ASC' => 'Ascending');
				
				foreach ($order_options as $option => $value) {
				
					$select = $instance['order'];
				
					echo '<option value="' . $option . '" id="' . $option . '"', $select == $option ? ' selected="selected"' : '', '>' . $value . '</option>';
				}
				?>
			</select>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('orderby'); ?>">Order By:</label>
			<select name="<?php echo $this->get_field_name('orderby'); ?>" id="<?php echo $this->get_field_id('orderby'); ?>" class="widefat">
				<?php
				
				$order_options =array('none' => 'None',
				'id' => 'Post ID',
				'author' => 'Author',
				'title' => 'Title',
				'date' => 'Date Created',
				'modified' => 'Date Modified',
				'parent' => 'Post/Page Parent ID',
				'rand' => 'Random',
				'comment_count' => 'Number of Comments',
				'menu_order' => 'Page Order',
				'meta_value_num' => 'Meta Value Based');
				
				foreach ($order_options as $option => $value) {
				
					$select = $instance['orderby'];
				
					echo '<option value="' . $option . '" id="' . $option . '"', $select == $option ? ' selected="selected"' : '', '>' . $value . '</option>';
				}
				?>
			</select>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('meta_key'); ?>">Meta Key:</label>
			<select name="<?php echo $this->get_field_name('meta_key'); ?>" id="<?php echo $this->get_field_id('meta_key'); ?>" class="widefat">
				<?php
				
				$order_options =array(
				    'post_views_count' => 'Views Count',
				    'votes_count' => 'Likes Count',
				    'rating_average' => 'Rating Average',
				    'total_share' => 'Social Total Share'
				);
				
				foreach ($order_options as $option => $value) {
				
					$select = $instance['meta_key'];
				
					echo '<option value="' . $option . '" id="' . $option . '"', $select == $option ? ' selected="selected"' : '', '>' . $value . '</option>';
				}
				?>
			</select>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('time_frame'); ?>">Time frame:</label>
			<select name="<?php echo $this->get_field_name('time_frame'); ?>" id="<?php echo $this->get_field_id('time_frame'); ?>" class="widefat">
				<?php
				
				$order_options =array(
				    'all' => 'All the time',
				    '_hour' => 'This hour',
				    '_5min' => 'Now "5 minutes range"',
				);
				
				foreach ($order_options as $option => $value) {
				
					$select = $instance['time_frame'];
				
					echo '<option value="' . $option . '" id="' . $option . '"', $select == $option ? ' selected="selected"' : '', '>' . $value . '</option>';
				}
				?>
			</select>
		</p>
	