<?php 



class code125_widget_dailymotion extends WP_Widget {

	function code125_widget_dailymotion() {
		$widget_ops = array( 'classname' => 'clearfix  c5-widget dailymotion', 'description' => 'Dailymotion Video Widget');
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'dailymotion-widget' );
		
		$this->WP_Widget( 'dailymotion-widget','Code125 Dailymotion Video Widget', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		$username = $instance['username'];

		echo $before_widget;
		$before_title = '<h3 class=" title clearfix"><span class="text-wrap"><span class="c5-icon icon-video"></span><span class="text">';
		// Display the widget title 
		if ( $title )
			echo $before_title . $title . $after_title;

		//Display the name 
		if ( $username ){
			echo '<div class="textwidget">';
			echo do_shortcode('[dailymotion id="'.$username.'" width="100%" height="200px"]');
			echo '</div>';
		}
		
		echo $after_widget;
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['username'] = strip_tags( $new_instance['username'] );

		return $instance;
	}

	
	function form( $instance ) {

		//Set up some default widget settings.
		$defaults = array( 'title' => 'Vimeo Video', 'username' => '' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'username' ); ?>">Video ID:</label>
			<input id="<?php echo $this->get_field_id( 'username' ); ?>" name="<?php echo $this->get_field_name( 'username' ); ?>" value="<?php echo $instance['username']; ?>" style="width:100%;" class="widefat" />
		</p>
		

	<?php
	}
}





 ?>