<?php 
class code125_widget_facebook extends WP_Widget {

	function code125_widget_facebook() {
		$widget_ops = array( 'classname' => 'clearfix  c5-widget facebook', 'description' => 'Show Facebook Like Box');
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'facebook-widget' );
		
		$this->WP_Widget( 'facebook-widget','Code125 Facebook Like Box', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		$username = $instance['username'];

		echo $before_widget;
		$before_title = '<h3 class=" title clearfix"><span class="text-wrap"><span class="c5-icon icon-facebook"></span><span class="text">';

		// Display the widget title 
		if ( $title )
			echo $before_title . $title . $after_title;

		//Display the name 
		if ( $username ){
			$start_flickr_sc =microtime(true);
			echo '<div class="textwidget c5-facebook-likebox">';
			echo '<div class="fb-like-box" data-href="http://www.facebook.com/'.$username.'" data-width="'. $GLOBALS['c5_sidebar_large_width_std'].'" data-show-faces="true" data-stream="false" data-header="false"></div>';
			echo '</div>';
			$end_flickr_sc =microtime(true);
			$diff= $end_flickr_sc - $start_flickr_sc;
			echo '<!--facebook shortcode: '.$diff.' -->'; 
		}
		
		echo $after_widget;
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['username'] = strip_tags( $new_instance['username'] );

		return $instance;
	}

	
	function form( $instance ) {

		//Set up some default widget settings.
		$defaults = array( 'title' => 'Find Us On Facebook', 'username' => ot_get_option( 'facebook' ) );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'username' ); ?>">Page Username:</label>
			<input id="<?php echo $this->get_field_id( 'username' ); ?>" name="<?php echo $this->get_field_name( 'username' ); ?>" value="<?php echo $instance['username']; ?>" style="width:100%;" class="widefat" />
		</p>
		

	<?php
	}
}



 ?>