<?php 


class code125_widget_login extends WP_Widget {

	function code125_widget_login() {
		$widget_ops = array( 'classname' => 'clearfix c5-widget  login', 'description' => __('Show the login/register Forms', 'code125-admin') );
		
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'login-widget' );
		
		$this->WP_Widget( 'login-widget', __('Code125 Login Form', 'code125-admin'), $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );

		//Our variables from the widget settings.
		$title = apply_filters('widget_title', $instance['title'] );
		
		echo $before_widget;

		// Display the widget title
		
		if ( $title )
			echo $before_title . $title . $after_title;

			echo '<div class="textwidget clearfix">';
			
			echo get_login_form();
			echo '</div>';

		
		echo $after_widget;
	
	}

	//Update the widget 
	 
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		//Strip tags from title and name to remove HTML 
		$instance['title'] = strip_tags( $new_instance['title'] );

		return $instance;
	}

	
	function form( $instance ) {

		//Set up some default widget settings.
		$defaults = array( 'title' => __('Login', 'code125-admin') );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'example'); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" class="widefat" />
		</p>

				

	<?php
	}
}



 ?>