<?php


include_once('theme-options.php');
include_once('register-custom-post.php');

function c5_get_all_posts_to_theme_options() {
	$post_types = array(
	    	array(
	    	    'label' => 'Post',
	    	    'value' => 'post'
	    	)
	        );
	    
	    $posts_custom = ot_get_option('custom_posts', array());
	       
	    
	        if ($posts_custom) {
	            foreach ($posts_custom as $post_custom) {
	                $icon = array(
	                    'label' => $post_custom['title'],
	                    'value' => $post_custom['slug']
	                );
	                array_push($post_types, $icon);
	            }
	        }
	
	return $post_types;
}

function c5_get_all_posts_types_in_array() {
		$array = array( 'post', 'page');
		$custom_posts = ot_get_option('custom_posts', array());
		if ($custom_posts) {
		    foreach ($custom_posts as $custom_post) {
		    	$array[] = $custom_post['slug'];
		 	}
		}
		return $array;
}
function c5_get_all_posts_in_array() {
	$array = array( 'post');
	$custom_posts = ot_get_option('custom_posts', array());
	if ($custom_posts) {
	    foreach ($custom_posts as $custom_post) {
	    	$array[] = $custom_post['slug'];
	 	}
	}
	return $array;
}


function c5_get_all_posts_in_array_shortcodes() {
	$array = array( 'post' => 'Post');
	$custom_posts = ot_get_option('custom_posts', array());
	if ($custom_posts) {
	    foreach ($custom_posts as $custom_post) {
	    	$array[$custom_post['slug']] = $custom_post['title'];
	 	}
	}
	return $array;
}

?>