<?php 


function c5_get_unique_count() {
	return c5_generateRandomString();
}

function c5_css_flip_3d_transform($property) {
	$data = '-moz-transform:'.$property.';
	-ms-transform:'.$property.';
	-o-transform:'.$property.';
	-webkit-transform:'.$property.';
	transform:'.$property.';';
	
	return $data;
}

function c5_css_flip_3d_transform_css($id, $width,  $height) {
	$new_height = round($height *1.3);
	$data = '.c5-3d-flip-wrap.c5-3d-flip-wrap-'.$id.'{
		width:'.$width.'px;
		height:'.$height.'px;
	}
	
	.c5-3d-flip-wrap.c5-3d-flip-wrap-'.$id.' .c5-3d-flip-card  .c5-3d-flip-card-back{
	      '.c5_css_flip_3d_transform('translate3d(0,0,-'.$height.'px) rotate3d(1,0,0,90deg)').'
	}
	
	.c5-3d-flip-wrap.c5-3d-flip-wrap-'.$id.'.c5-3d-flip-trigger:hover .c5-3d-flip-card-front{
		'.c5_css_flip_3d_transform('translate3d(0,'.$new_height.'px,0) rotate3d(1,0,0,-90deg)').'
	  }
	.c5-3d-flip-wrap.c5-3d-flip-wrap-'.$id.'.c5-3d-flip-trigger:hover .c5-3d-flip-card-back{
	 	'.c5_css_flip_3d_transform('rotate3d(1,0,0,0deg)').'
	 }';
	
	return $data;
}

function c5_css_flip_3d_transform_css_remote_trigger($id, $width,  $height) {
	$new_height = round($height *1.3);
	$data = '.c5-3d-flip-wrap.c5-3d-flip-wrap-'.$id.'{
		width:'.$width.'px;
		height:'.$height.'px;
	}
	
	.c5-3d-flip-wrap.c5-3d-flip-wrap-'.$id.' .c5-3d-flip-card  .c5-3d-flip-card-back{
	      '.c5_css_flip_3d_transform('translate3d(0,0,-'.$height.'px) rotate3d(1,0,0,90deg)').'
	}
	
	.c5-3d-flip-trigger:hover .c5-3d-flip-wrap.c5-3d-flip-wrap-'.$id.' .c5-3d-flip-card-front{
		'.c5_css_flip_3d_transform('translate3d(0,'.$new_height.'px,0) rotate3d(1,0,0,-90deg)').'
	  }
	.c5-3d-flip-trigger:hover .c5-3d-flip-wrap.c5-3d-flip-wrap-'.$id.' .c5-3d-flip-card-back{
	 	'.c5_css_flip_3d_transform('rotate3d(1,0,0,0deg)').'
	 }';
	
	return $data;
}



function c5_add_custom_css($css) {
	if(!isset($GLOBALS['c5_global_custom_css'])){
		$GLOBALS['c5_global_custom_css'] = '';
	}
	
	$GLOBALS['c5_global_custom_css'] .= $css;
	
}




function c5_add_custom_css_footer() {
    function c5_add_custom_css_inline() {
    	    wp_add_inline_style( 'bones-base', $GLOBALS['c5_global_custom_css'] );
    }
    add_action( 'wp_enqueue_scripts', 'c5_add_custom_css_inline' );
}
add_action('wp_footer', 'c5_add_custom_css_footer');


function c5_generateRandomString($length = 10) {
    $characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
    $randomString = '';
    for ($i = 0; $i < $length; $i++) {
        $randomString .= $characters[rand(0, strlen($characters) - 1)];
    }
    return $randomString;
}

 ?>