<?php


function register_c5_ads_shortcodes() {

    $_code125_shortcodes = get_option('_code125_shortcodes');
    if (!is_array($_code125_shortcodes)) {
        $_code125_shortcodes = array();
    }

    /** Icons  * */
    global $_code125_icons;
    $new_icons = array();
    if (is_array($_code125_icons)) {
        foreach ($_code125_icons as $icon) {
            $new_icons[$icon] = substr($icon, 5);
        }
    }


    $array = array(
        'ads-shortcodes-open' => array(
            'name' => 'Ads',
            'type' => 'opengroup'
        ),
        # ad_728x90
        'ad_728x90' => array(
            'name' => 'ad_728x90',
            'type' => 'wrap',
            'atts' => array(),
            'content' => ' ',
            'documentation' => c5_doc_information_of_shortcode('ad_728x90', 'Adverise with the size of 728x90', '[ad_728x90]ad content [/ad_728x90]','')
        ),
        # ad_468x60
        'ad_468x60' => array(
            'name' => 'ad_468x60',
            'type' => 'wrap',
            'atts' => array(),
            'content' => ' ',
            'documentation' => c5_doc_information_of_shortcode('ad_468x60', 'Adverise with the size of 468x60', '[ad_468x60]ad content [/ad_468x60]','')
        ),
        # ad_300x250
        'ad_300x250' => array(
            'name' => 'ad_300x250',
            'type' => 'wrap',
            'atts' => array(),
            'content' => ' ',
            'documentation' => c5_doc_information_of_shortcode('ad_300x250', 'Adverise with the size of 300x250', '[ad_300x250]ad content [/ad_300x250]','')
        ),
        # ad_300x50
        'ad_300x50' => array(
            'name' => 'ad_300x50',
            'type' => 'wrap',
            'atts' => array(),
            'content' => ' ',
            'documentation' => c5_doc_information_of_shortcode('ad_300x50', 'Adverise with the size of 300x50 - this is perfect for mobile ads', '[ad_300x50]ad content [/ad_300x50]','')
        ),
        # basic shortcodes - end
        'ads-shortcodes-close' => array(
            'type' => 'closegroup'
        )
    );



    $_code125_shortcodes = array_merge($_code125_shortcodes, $array);

    update_option('_code125_shortcodes', $_code125_shortcodes);
}

add_action('init', 'register_c5_ads_shortcodes', 34);
?>