<?php

function register_c5_layout_shortcodes() {

    $_code125_shortcodes = get_option('_code125_shortcodes');
    if (!is_array($_code125_shortcodes)) {
        $_code125_shortcodes = array();
    }


   
    $array = array(
        # basic shortcodes - start
        'layout-shortcodes-open' => array(
            'name' => 'Layout',
            'type' => 'opengroup'
        ),
        # row
        'row' => array(
            'name' => 'row',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('row', 'the row container for any columns grid', '', ''),
            'atts' => array(),
            'content' => 'Content'
        ),
        # 1_12
        '1_12' => array(
            'name' => '1_12',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('1_12', 'Columns 1/12', '[1_12][/1_12]', ''),
            'atts' => array(),
            'content' => 'Content'
        ),
        # 2_12
        '2_12' => array(
            'name' => '2_12',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('2_12', 'Columns 2/12', '[2_12][/2_12]', ''),
            'atts' => array(),
            'content' => 'Content'
        ),
        # 3_12
        '3_12' => array(
            'name' => '3_12',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('3_12', 'Columns 3/12', '[3_12][/3_12]', ''),
            'atts' => array(),
            'content' => 'Content'
        ),
        # 4_12
        '4_12' => array(
            'name' => '4_12',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('4_12', 'Columns 4/12', '[4_12][/4_12]', ''),
            'atts' => array(),
            'content' => 'Content'
        ),
        # 5_12
        '5_12' => array(
            'name' => '5_12',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('5_12', 'Columns 5/12', '[5_12][/5_12]', ''),
            'atts' => array(),
            'content' => 'Content'
        ),
        # 6_12
        '6_12' => array(
            'name' => '6_12',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('6_12', 'Columns 6/12', '[6_12][/6_12]', ''),
            'atts' => array(),
            'content' => 'Content'
        ),
        # 7_12
        '7_12' => array(
            'name' => '7_12',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('7_12', 'Columns 7/12', '[7_12][/7_12]', ''),
            'atts' => array(),
            'content' => 'Content'
        ),
        # 8_12
        '8_12' => array(
            'name' => '8_12',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('8_12', 'Columns 8/12', '[8_12][/8_12]', ''),
            'atts' => array(),
            'content' => 'Content'
        ),
        # 9_12
        '9_12' => array(
            'name' => '9_12',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('9_12', 'Columns 9/12', '[9_12][/9_12]', ''),
            'atts' => array(),
            'content' => 'Content'
        ),
        # 10_12
        '10_12' => array(
            'name' => '10_12',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('10_12', 'Columns 10/12', '[10_12][/10_12]', ''),
            'atts' => array(),
            'content' => 'Content'
        ),
        # 11_12
        '11_12' => array(
            'name' => '11_12',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('11_12', 'Columns 11/12', '[11_12][/11_12]', ''),
            'atts' => array(),
            'content' => 'Content'
        ),
        # 12_12
        '12_12' => array(
            'name' => '12_12',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('12_12', 'Columns 12/12', '[12_12][/12_12]', ''),
            'atts' => array(),
            'content' => 'Content'
        ),
        # is_mobile
        'is_mobile' => array(
            'name' => 'is_mobile',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('is_mobile', 'Show the content in Mobiles only', '[is_mobile]Content[/is_mobile]', ''),
            'atts' => array(),
            'content' => 'Content'
        ),
        # is_tablet
        'is_tablet' => array(
            'name' => 'is_tablet',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('is_tablet', 'Show the content in Tablets only', '[is_tablet]Content[/is_tablet]', ''),
            'atts' => array(),
            'content' => 'Content'
        ),
        # is_handheld
        'is_handheld' => array(
            'name' => 'is_handheld',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('is_handheld', 'Show the content in Handheld Devices only', '[is_handheld]Content[/is_handheld]', ''),
            'atts' => array(),
            'content' => 'Content'
        ),
        # is_desktop
        'is_desktop' => array(
            'name' => 'is_desktop',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('is_desktop', 'Show the content in Desktop only', '[is_desktop]Content[/is_desktop]', ''),
            'atts' => array(),
            'content' => 'Content'
        ),
        # float_left
        'float_left' => array(
            'name' => 'float_left',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('float_left', 'Float Content Left', '[float_left]Content[/float_left]', ''),
            'atts' => array(),
            'content' => 'content'
        ),
        # float_right
        'float_right' => array(
            'name' => 'float_right',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('float_right', 'Float Content Right', '[float_right]Content[/float_right]', ''),
            'atts' => array(),
            'content' => 'content'
        ),
        # center
        'center' => array(
            'name' => 'center',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('center', 'Center Content', '[center]Content[/center]', ''),
            'atts' => array(),
            'content' => 'content'
        ),
        # space
        'space' => array(
            'name' => 'space',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('space', 'Leave a space of certain amount of pixels', '[space height="50px"]', ''),
            'atts' => array(
                'height' => array(
                    'values' => array(),
                    'default' => '50px',
                    'desc' => 'Height',
                    'documentation' => c5_doc_p('Height in Pixels')
                )
            )
        ),
        # divider
        'divider' => array(
            'name' => 'divider',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('divider', 'Add an horizontal line divider', '[divider]', ''),
            'atts' => array()
        ),
        # is_logged_in
        'is_logged_in' => array(
            'name' => 'is_logged_in',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('is_logged_in', 'Show Content only to logged in users', '[is_logged_in]Content[/is_logged_in]', ''),
            'atts' => array(),
            'content' => 'is_logged_in content',
            'desc' => ''
        ),
        # is_logged_out
        'is_logged_out' => array(
            'name' => 'is_logged_out',
            'type' => 'wrap',
            'documentation' => c5_doc_information_of_shortcode('is_logged_out', 'Show Content only to logged out users', '[is_logged_out]Content[/is_logged_out]', ''),
            'atts' => array(),
            'content' => 'is_logged_out content',
            'desc' => ''
        ),
        # basic shortcodes - end
        'layout-shortcodes-close' => array(
            'type' => 'closegroup'
        ),
    );



    $_code125_shortcodes = array_merge($_code125_shortcodes, $array);

    update_option('_code125_shortcodes', $_code125_shortcodes);
}

add_action('init', 'register_c5_layout_shortcodes', 18);
?>