<?php

/**
 * Shortcode: section_close
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */


/**
 * Shortcode: center
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_center($atts, $content = null) {





    $data = '<div class="center-everything">' . do_shortcode($content) . '</div>';

    return $data;
}

/**
 * Shortcode: divider
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_divider($atts, $content = null) {
    return '<div class="divider_shortcode"></div>';
}


/**
 * Shortcode: space
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_space($atts, $content = null) {
	$atts = shortcode_atts(array('height' => '30px'), $atts);
    return '<div class="clearfix"></div><div class="c5_space" style="height:'.$atts['height'].';"></div>';
}
/**
 * Shortcode: is_logged_in
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_is_logged_in($atts, $content = null) {

    $data = '';
    if (is_user_logged_in()) {
        $data = $data . do_shortcode($content);
    }
    return $data;
}

/**
 * Shortcode: is_logged_out
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_is_logged_out($atts, $content = null) {

    $data = '';
    if (!is_user_logged_in()) {
        $data = $data . do_shortcode($content);
    }
    return $data;
}
/**
 * Shortcode: Columns
 *
 * @param array $atts Shortcode attributes
 * @param string $content
 * @return string Output html
 */
function code125_1_12($atts, $content = null) {
    $GLOBALS['c5_cuurent_col'] = 1;
    $data = '<div class="col-sm-1 hideme">' . do_shortcode($content) . '</div>';
    $GLOBALS['c5_cuurent_col'] = 0;
    return $data;
}

function code125_2_12($atts, $content = null) {
    $GLOBALS['c5_cuurent_col'] = 2;
    $data = '<div class="col-sm-2 hideme">' . do_shortcode($content) . '</div>';
    $GLOBALS['c5_cuurent_col'] = 0;
    return $data;
}

function code125_3_12($atts, $content = null) {
    $GLOBALS['c5_cuurent_col'] = 3;
    $data = '<div class="col-sm-3 hideme">' . do_shortcode($content) . '</div>';
    $GLOBALS['c5_cuurent_col'] = 0;
    return $data;
}

function code125_4_12($atts, $content = null) {
    $GLOBALS['c5_cuurent_col'] = 4;
    $data = '<div class="col-sm-4 hideme">' . do_shortcode($content) . '</div>';
    $GLOBALS['c5_cuurent_col'] = 0;
    return $data;
}

function code125_5_12($atts, $content = null) {
    $GLOBALS['c5_cuurent_col'] = 5;
    $data = '<div class="col-sm-5 hideme">' . do_shortcode($content) . '</div>';
    $GLOBALS['c5_cuurent_col'] = 0;
    return $data;
}

function code125_6_12($atts, $content = null) {
   $GLOBALS['c5_cuurent_col'] = 6;
   $data = '<div class="col-sm-6 hideme">' . do_shortcode($content) . '</div>';
   $GLOBALS['c5_cuurent_col'] = 0;
   return $data;
}

function code125_7_12($atts, $content = null) {
    $GLOBALS['c5_cuurent_col'] = 7;
    $data = '<div class="col-sm-7 hideme">' . do_shortcode($content) . '</div>';
    $GLOBALS['c5_cuurent_col'] = 0;
    return $data;
}

function code125_8_12($atts, $content = null) {
    $GLOBALS['c5_cuurent_col'] = 8;
    $data = '<div class="col-sm-8 hideme">' . do_shortcode($content) . '</div>';
    $GLOBALS['c5_cuurent_col'] = 0;
    return $data;
}

function code125_9_12($atts, $content = null) {
    $GLOBALS['c5_cuurent_col'] = 9;
    $data = '<div class="col-sm-9 hideme">' . do_shortcode($content) . '</div>';
    $GLOBALS['c5_cuurent_col'] = 0;
    return $data;
}

function code125_10_12($atts, $content = null) {
    $GLOBALS['c5_cuurent_col'] = 10;
    $data = '<div class="col-sm-10 hideme">' . do_shortcode($content) . '</div>';
    $GLOBALS['c5_cuurent_col'] = 0;
    return $data;
}

function code125_11_12($atts, $content = null) {
    $GLOBALS['c5_cuurent_col'] = 11;
    $data = '<div class="col-sm-11 hideme">' . do_shortcode($content) . '</div>';
    $GLOBALS['c5_cuurent_col'] = 0;
    return $data;
}

function code125_12_12($atts, $content = null) {
    $GLOBALS['c5_cuurent_col'] = 12;
    $data = '<div class="col-sm-12 hideme">' . do_shortcode($content) . '</div>';
    $GLOBALS['c5_cuurent_col'] = 0;
    return $data;
}

function code125_row($atts, $content = null) {
    return '<div class="row">' . do_shortcode($content) . '</div>';
}
add_shortcode('row_fluid' , 'code125_row');
add_shortcode('row' , 'code125_row');
function code125_is_mobile($atts, $content = null) {
    $data = '';
    if (is_mobile()) {
        $data = html_entity_decode(do_shortcode(html_entity_decode($content)));
    }
    return $data;
}

function code125_is_tablet($atts, $content = null) {
    $data = '';
    if (is_tablet()) {
        $data = html_entity_decode(do_shortcode(html_entity_decode($content)));
    }
    return $data;
}

function code125_is_handheld($atts, $content = null) {
    $data = '';
    if (is_handheld()) {
        $data = html_entity_decode(do_shortcode(html_entity_decode($content)));
    }
    return $data;
}

function code125_is_desktop($atts, $content = null) {
    $data = '';
    if (!is_handheld()) {
        $data = html_entity_decode(do_shortcode(html_entity_decode($content)));
    }
    return $data;
}



function code125_float_left($atts, $content = null) {
    return '<div class="float_left">' . html_entity_decode(do_shortcode(html_entity_decode($content))) . '</div>';
}

function code125_float_right($atts, $content = null) {
    return '<div class="float_right">' . html_entity_decode(do_shortcode(html_entity_decode($content))) . '</div>';
}


?>
